<?php
global $defaults;
get_header();

// Get author data
$avatar = get_avatar( get_the_author_meta( 'user_email' ), 500 );
$author_name = get_the_author();
$author_bio = get_the_author_meta( 'description' );
$author_post_url = esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) );

do_action('minimal_before_main_content'); ?>

<main id="main" class="site-main" role="main">
    <div class="website__canvas">
    <div class="row">


        <div id="primary" class="content-area single-page__content col-md-12">
            <section class="author-bio-page">
                <div class="row">
                    <div class="col-md-5"><?php echo wp_kses_post($avatar); ?></div>
                    <div class="col-md-7">
                        <h1 class="author-bio-title heading-one"><?php echo esc_attr($author_name); ?></h1>
                        <?php
                            if ( $author_bio ) : ?>
                            <p class="author-bio-description">
                                <?php echo wp_kses_post( $author_bio ); ?>
                            </p>
                        <?php endif; ?>
                    </div>
                </div>
            </section>

            <div class="author-bio-page--posts row">
                <h2 class="col-sm-12 heading-two"><?php esc_attr_e( 'Posts by', 'minimal-magazine' );?> <?php echo esc_attr($author_name); ?>:</h2>

                    <?php if ( have_posts() ) : while ( have_posts() ) : the_post();
        if ( absint($defaults['minimal_layout_blog']) === 1 ){
            get_template_part( 'template-parts/content' );
        }else{
            get_template_part( 'template-parts/content-articles-two');
        }
                    endwhile; ?>
                    <?php do_action( 'minimal_loop_after' );?>
            </div>
        </div>
<?php endif; ?>

</div>
</div>
</main>
<?php
do_action('minimal_after_main_content');
get_footer();