<?php
global $defaults;




/*
 *Add Class to the body
 */
function minimal_body_classes( $classes ) {
global $defaults;

  // Multiple Author
	if ( is_multi_author() ) {
    $classes[] = 'group-blog';
  }

  // Not Singular
	if ( ! is_singular() ) {
    $classes[] = 'hfeed';
  }

  // Add a class if there is a custom header.
  if ( has_header_image() ) {
    $classes[] = 'has-header-image';
  }

  // Single Post Layout 1 Selected
	if ( absint($defaults['minimal_layout_single_post']) === 1 && is_single() ){
    $classes[] = 'article-single-one';
  }

  // Single Post Layout 2 Selected
	if ( absint($defaults['minimal_layout_single_post']) === 2 && is_single() ){
    $classes[] = 'article-single-two';
  }

	return $classes;
}

/**
 * Twitter Bootstrap Grid Switcher
 *
*/
function column_switcher($column){
    switch ($column){
       case 1:
           return 'col-sm-12';
           break;
       case 2:
           return 'col-sm-6';
           break;
       case 3:
           return 'col-sm-4';
           break;
       default:
           return 'col-sm-3';
           break;
    }
}


/**
* Switches Two Column Image Content Width
*/
 function column_switcher_image($column){
    switch ($column){
       case 10:
           return 'col-md-1';
           break;
       case 20:
           return 'col-md-2';
           break;
       case 25:
           return 'col-md-3';
           break;
       case 30:
           return 'col-md-4';
           break;
       case 40:
           return 'col-md-5';
           break;
       case 50:
           return 'col-md-6';
           break;
       case 60:
           return 'col-md-7';
           break;
       case 65:
           return 'col-md-8';
           break;
       case 75:
           return 'col-md-9';
           break;
       case 80:
           return 'col-md-10';
           break;
       case 90:
           return 'col-md-11';
           break;
       case 100:
           return 'col-md-12';
           break;
       default:
           return 'col-sm-12';
           break;
    }
}

/**
* Switches Two Column Content Width
*/
 function column_switcher_text($column){
    switch ($column){
       case 10:
           return 'col-md-11';
           break;
       case 20:
           return 'col-md-10';
           break;
       case 25:
           return 'col-md-9';
           break;
       case 30:
           return 'col-md-8';
           break;
       case 40:
           return 'col-md-7';
           break;
       case 50:
           return 'col-md-6';
           break;
       case 60:
           return 'col-md-5';
           break;
       case 65:
           return 'col-md-4';
           break;
       case 75:
           return 'col-md-3';
           break;
       case 80:
           return 'col-md-2';
           break;
       case 90:
           return 'col-md-1';
           break;
       case 100:
           return 'col-md-12';
           break;
       default:
           return 'col-sm-12';
           break;
    }
}

/**
* Switches Two Column Content Width
*/
 function column_switcher_feature_box($column){
    switch ($column){
       case 1:
           return 'col-sm-12';
           break;
       case 2:
           return 'col-sm-6';
           break;
       case 3:
           return 'col-sm-4';
           break;
       default:
           return 'col-sm-3';
           break;
    }
}



function minimal_next_page_add_class() {
    return 'class="pagination-next"';
}


function minimal_previous_page_add_class() {
    return 'class="pagination-previous"';
}


function canvas_width($canvas){
    if ($canvas == 1){
        return 'website__canvas';
    }else{
        return 'website__canvas--fluid';
    }
}
