<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package minimal-magazine
 */

global $defaults;
?>
</div>


<footer id="colophon" class="site-footer" role="contentinfo">

	<div class="site-footer--center">
		<div class="website__canvas">
			<div class="row">

	    <div class="col-md-5 right-padding footer-logo" data-aos="zoom-out-up" data-aos-duration="1000" data-aos-easing="ease-out-quad">
	    	<div class="footer-logo-image"><?php minimal_header_logo();?></div>


		<?php

		    if(!empty($defaults['minimal_copyright_text'])) : ?>
		        <p><?php echo do_shortcode(wp_kses_post($defaults['minimal_copyright_text'])); ?></p>
		    <?php else: ?>
		        <div class="copyright-text">
		            <a href="<?php echo esc_url( __( 'https://wordpress.org/', 'minimal-magazine' ) ); ?>">
		                <?php esc_html_e( 'Proudly powered by WordPress', 'minimal-magazine' ); ?>
		            </a>
		            <span class="sep"> | </span>
		            <a href="<?php echo esc_url('https://atlantisthemes.com/minimal-magazine-theme/'); ?>" target="_blank" rel="nofollow noopener">
		                <?php esc_html_e( 'Theme: Minimal Magazine by Atlantis Themes', 'minimal-magazine' ); ?>
		            </a>
		        </div>
		    <?php endif;?>
	    </div>

        <div class="col-md-4 right-padding" data-aos="zoom-out-up" data-aos-duration="1000" data-aos-easing="ease-out-quad">
            <nav id="footer-navigation" aria-label="site links">
                <?php wp_nav_menu( array( 'theme_location' => 'footer', 'menu_id' => 'footer-nav' ) ); ?>
            </nav>
        </div>

        <div class="col-md-3 left-padding" data-aos="zoom-out-up" data-aos-duration="1000" data-aos-easing="ease-out-quad">
			<?php minimal_social_menu();?>
        </div>


			</div>
		</div>
	</div>


</footer>
<a href="#0" class="scrollToTop"><li class="ion-chevron-up" style="display: inline-block;"></li></a>
</div>
<?php wp_footer(); ?>
</body>
</html>