<?php
/**
 * Sanitize Hex Color
 */
if ( ! function_exists( 'sanitize_hex_color' ) ) {
	function sanitize_hex_color( $color ) {
		if ( '' === $color ) {
			return '';
        }
		// 3 or 6 hex digits, or the empty string.
		if ( preg_match( '|^#([A-Fa-f0-9]{3}){1,2}$|', $color ) ) {
			return $color;
        }
		return null;
	}
}

/**
 * Sanitize Text Input
 */
if ( ! function_exists( 'minimal_sanitize_input' ) ) {
    function minimal_sanitize_input($input ) {
        return wp_kses_post( force_balance_tags( $input ) );
    }
}


/**
 * JavaScript Sanitazation
 */
if( !function_exists( 'minimal_sanitize_js') ) {
    function minimal_sanitize_js( $value = FALSE ){

        $safe_text = _wp_specialchars( $value , ENT_QUOTES );
        $safe_text = preg_replace( '/&#(x)?0*(?(1)27|39);?/i', '"', stripslashes( $safe_text ) );
        $safe_text = str_replace( "\r", '', $safe_text );
        $safe_text = str_replace( "\n", '\\n', addslashes( $safe_text ) );

        return trim( $safe_text );
    }
}


/**
 * Check if Google Business listing is Enabled
 */
if ( ! function_exists( 'is_active_google_business_listing' ) ) {
 function is_active_google_business_listing(){
    global $defaults;
     // Check for the slider plugin class
     if( absint($defaults['minimal_enable_business_info_search']) == true ){
         return true;
     } else {
         return false;
     }
 }
}