<?php
/**
*
* @package minimal-magazine
*/
function minimal_customize_register( $wp_customize ) {
global $defaults;
	/**
	 * Customizer Title Control with Description
	 */
	class Minimal_UI_Helper_Title extends WP_Customize_Control {

		public $type 	= 'info';
		public $class 	= '';

		public function render_content() { ?>
			<label class="<?php echo esc_attr($this->class);?>">
			<?php if ( !empty( $this->label ) ) : ?>
				<span class="customize-control-title ui__title">
					<?php echo esc_html( $this->label ); ?>
				</span>
			<?php endif; ?>
			</label>

			<?php if ( !empty( $this->description ) ) : ?>
				<span class="description customize-control-description">
					<?php echo esc_attr($this->description); ?>
				</span>
			<?php endif; ?>

	        <?php if ( !$this->value() ) : ?>
	        	<?php echo esc_attr($this->value()); ?>
			<?php endif; ?>

			<?php
		}
	}

	/*--------------------------------------------------------------
	## 1.0 Panels
	--------------------------------------------------------------*/
		// Your Logo
		$wp_customize->get_section('title_tagline')->title 			= esc_html__('Logo','minimal-magazine' );
		$wp_customize->get_section( 'title_tagline' )->priority 	= 1;


		// Global Styles Panel
		$wp_customize->add_panel( 'customizer_colors_panel', array(
			'priority'       => 2,
			'capability'     => 'edit_theme_options',
			'title'          => esc_html__( 'General Styles','minimal-magazine' ),
			'description'    => esc_html__( 'Customize your sites color and font','minimal-magazine' ),
		) );


		// Homepage Panel
		$wp_customize->add_panel( 'customizer_homepage_panel', array(
			'priority'       => 3,
			'capability'     => 'edit_theme_options',
			'title'          => esc_html__( 'Homepage','minimal-magazine' ),
			'description'    => esc_html__( 'Your Homepage Sections','minimal-magazine' ),
		) );


		// Header Panel
		$wp_customize->add_panel( 'customizer_header_panel', array(
			'priority'       => 4,
			'capability'     => 'edit_theme_options',
			'title'          => esc_html__( 'Header','minimal-magazine' ),
			'description'    => esc_html__( 'Customize your sites Header Colors & Layout','minimal-magazine' ),
		) );

		// Global Layout Panel
		$wp_customize->add_panel( 'customizer_component_layout_panel', array(
			'priority'       => 5,
			'capability'     => 'edit_theme_options',
			'title'          => esc_html__( 'Post & Page','minimal-magazine' ),
			'description'    => esc_html__( 'Change layout of post archive & single posts.','minimal-magazine' ),
		) );

		// Footer Panel
		$wp_customize->add_panel( 'customizer_footer_panel', array(
			'priority'       => 6,
			'capability'     => 'edit_theme_options',
			'title'          => esc_html__( 'Footer','minimal-magazine' ),
			'description'    => esc_html__( 'Customize your sites Footer Section Colors & Layout','minimal-magazine' ),
		) );

		// SEO, Social & Conversion
		$wp_customize->add_panel( 'customizer_seo_panel', array(
			'priority'       => 200,
			'capability'     => 'edit_theme_options',
			'title'          => esc_html__( 'SEO, Social & Conversion','minimal-magazine' ),
			'description'    => esc_html__( 'Set default content link text, image or social icons','minimal-magazine' ),
		) );

	/*--------------------------------------------------------------
	## 1.0 Sections
	--------------------------------------------------------------*/


		$wp_customize->get_section( 'static_front_page' )->priority = 1;
		$wp_customize->get_section(	'static_front_page')->title 	= esc_html__( 'Select Your Frontpage','minimal-magazine' );
		$wp_customize->get_section( 'static_front_page' )->panel 	= 'customizer_homepage_panel';
		$wp_customize->remove_section('background_image');

	/*--------------------------------------------------------------
	## Default Sections
	--------------------------------------------------------------*/

	/*--------------------------------------------------------------
	## General Style Section
	--------------------------------------------------------------*/

	// Site Wide Color
	$wp_customize->add_section('customizer_section_global_color',array(
		'title' 			=> esc_html__( 'Site Wide Color', 'minimal-magazine' ),
		'capability' 		=> 'edit_theme_options',
		'priority' 			=> 1,
		'panel' 			=> 'customizer_colors_panel'
		)
	);

	// Typography Body Font & Size
	$wp_customize->add_section('customizer_section_typography_body',
		array(
			'title' 		=> esc_html__( 'Typography - Body', 'minimal-magazine' ),
			'capability' 	=> 'edit_theme_options',
			'priority' 		=> 2,
			'panel' 		=> 'customizer_colors_panel'
		)
	);

	// Typography Title Font & Size
	$wp_customize->add_section('customizer_section_typography_title',
		array(
			'title' 		=> esc_html__( 'Typography - Title', 'minimal-magazine' ),
			'capability' 	=> 'edit_theme_options',
			'priority' 		=> 3,
			'panel' 		=> 'customizer_colors_panel'
		)
	);


	// Sidebar & Widget Area
	$wp_customize->add_section('customizer_section_widget_area',array(
		'title' 			=> esc_html__( 'Sidebar & Widget Area', 'minimal-magazine' ),
		'capability' 		=> 'edit_theme_options',
		'priority' 			=> 4,
		'panel' 			=> 'customizer_colors_panel'
		)
	);


	/*--------------------------------------------------------------
	## Customizer Section: Frontpage
	--------------------------------------------------------------*/

		// Homepage Breaking News
		$wp_customize->add_section('minimal_home_latest_article',array(
				'title' 			=> esc_html__( 'Breaking News', 'minimal-magazine' ),
				'capability' 		=> 'edit_theme_options',
				'priority' 			=> 5,
				'panel' 			=> 'customizer_homepage_panel',
			)
		);

		// Homepage Featured or Sticky Article
		$wp_customize->add_section('minimal_home_featured_article',array(
				'title' 			=> esc_html__( 'Featured Articles', 'minimal-magazine' ),
				'capability' 		=> 'edit_theme_options',
				'priority' 			=> 5,
				'panel' 			=> 'customizer_homepage_panel',
			)
		);

		// Homepage Articles by Category
		$wp_customize->add_section('minimal_home_article_by_category',array(
				'title' 			=> esc_html__( 'Articles by Category', 'minimal-magazine' ),
				'capability' 		=> 'edit_theme_options',
				'priority' 			=> 5,
				'panel' 			=> 'customizer_homepage_panel',
			)
		);

		// Homepage Blog Posts
		$wp_customize->add_section('customizer_section_home_all_article',array(
				'title' 			=> esc_html__( 'All Articles', 'minimal-magazine' ),
				'capability' 		=> 'edit_theme_options',
				'priority' 			=> 5,
				'panel' 			=> 'customizer_homepage_panel',
			)
		);


		if ( function_exists( 'Homepage_Control')){
			// Homepage Control
			$wp_customize->get_section('homepage_control')->panel 		= 'customizer_homepage_panel';
			$wp_customize->get_section('homepage_control')->priority 	= 20;
		}else{
			// Reorder Frontpage Section
			$wp_customize->add_section('minimal_home_section_reorder',array(
					'title' 			=> esc_html__( 'Re-order Frontpage Section', 'minimal-magazine' ),
					'capability' 		=> 'edit_theme_options',
					'priority' 			=> 20,
					'panel' 			=> 'customizer_homepage_panel',
				)
			);
		}


	/*--------------------------------------------------------------
	## Blog Customizer
	--------------------------------------------------------------*/

		// Post Archive Layouts
		$wp_customize->add_section('customizer_section_article_layout',array(
				'title' => esc_html__( 'Blog & Post Archive Layouts', 'minimal-magazine' ),
				'capability' => 'edit_theme_options',
				'priority' => 1,
				'panel' => 'customizer_component_layout_panel'
			)
		);

		// Single Article Layout
		$wp_customize->add_section('customizer_section_single_article_layout',array(
				'title' => esc_html__( 'Single Article Layout', 'minimal-magazine' ),
				'capability' => 'edit_theme_options',
				'priority' => 2,
				'panel' => 'customizer_component_layout_panel'
			)
		);

		// Container Width
		$wp_customize->add_section('customizer_section_width_layout',array(
			'title' => esc_html__( 'Container Width', 'minimal-magazine' ),
			'capability' => 'edit_theme_options',
			'priority' => 1,
			'panel' => 'customizer_colors_panel'
			)
		);

	/*--------------------------------------------------------------
	## Integration Section
	--------------------------------------------------------------*/

		$wp_customize->add_section( 'customizer_section_search_verfication', array(
			'priority'       => 1,
			'capability'     => 'edit_theme_options',
			'title'          => esc_html__( 'Search Engine Verification','minimal-magazine' ),
			'panel'     	 => 'customizer_seo_panel',
		) );

		$wp_customize->add_section( 'customizer_section_seo', array(
			'priority'       => 2,
			'capability'     => 'edit_theme_options',
			'title'          => esc_html__( 'SEO Settings - Articles','minimal-magazine' ),
			'panel'     	 => 'customizer_seo_panel',
		) );

		$wp_customize->add_section( 'customizer_section_seo_business', array(
			'priority'       => 3,
			'capability'     => 'edit_theme_options',
			'title'          => esc_html__( 'Represent your Company on Google','minimal-magazine' ),
			'panel'     	 => 'customizer_seo_panel',
		) );


		// Social Accounts
		$wp_customize->add_section('customizer_section_social_profile',array(
			'title' => esc_html__( 'Social Accounts', 'minimal-magazine' ),
			'capability' => 'edit_theme_options',
			'priority' => 10,
			'panel' => 'customizer_seo_panel'
			)
		);

		$wp_customize->add_section( 'customizer_section_ga', array(
			'priority'       => 11,
			'capability'     => 'edit_theme_options',
			'title'          => esc_html__( 'Google Analytics','minimal-magazine' ),
			'panel'     	 => 'customizer_seo_panel',
		) );

		$wp_customize->add_section( 'customizer_section_fb', array(
			'priority'       => 12,
			'capability'     => 'edit_theme_options',
			'title'          => esc_html__( 'Facebook Conversion Pixel','minimal-magazine' ),
			'panel'     	 => 'customizer_seo_panel',
		) );


	/*--------------------------------------------------------------
	## 10.0 Footer Sections
	--------------------------------------------------------------*/
		// Footer Layout
		$wp_customize->add_section('customizer_section_footer_layout',array(
				'title' => esc_html__( 'Footer Layouts', 'minimal-magazine' ),
				'capability' => 'edit_theme_options',
				'priority' => 1,
				'panel' => 'customizer_footer_panel'
			)
		);

	/*--------------------------------------------------------------
	## 4.0 Header Sections
	--------------------------------------------------------------*/

		// Header Layout Section
		$wp_customize->add_section('customizer_section_header_layout',array(
			'title' => esc_html__( 'Header Layouts', 'minimal-magazine' ),
			'capability' => 'edit_theme_options',
			'priority' => 1,
			'panel' => 'customizer_header_panel'
			)
		);

		// Header Havigation  Section Layout
		$wp_customize->add_section('customizer_section_header_navigation',array(
			'title' => esc_html__( 'Header Havigation Layout', 'minimal-magazine' ),
			'capability' => 'edit_theme_options',
			'priority' => 2,
			'panel' => 'customizer_header_panel'
			)
		);

		// Header Havigation  Section Layout
		$wp_customize->add_section('customizer_section_header_color',array(
			'title' => esc_html__( 'Header Colors', 'minimal-magazine' ),
			'capability' => 'edit_theme_options',
			'priority' => 3,
			'panel' => 'customizer_header_panel'
			)
		);

	/**
	* Your Brand name
	*/

	$wp_customize->get_control('blogname')->label 					= esc_html__('Site Title & Tagline', 'minimal-magazine');
	$wp_customize->get_setting( 'blogname' )->transport         	= 'postMessage';
	$wp_customize->get_control('blogdescription')->label 			= esc_html__('Website Description', 'minimal-magazine');
	$wp_customize->get_setting( 'blogdescription' )->transport  	= 'postMessage';
	$wp_customize->get_control('custom_logo')->label 				= esc_html__('Logo Image', 'minimal-magazine');
	$wp_customize->get_control('custom_logo')->description 			= esc_html__('Upload a logo image to used in the place of your site title.', 'minimal-magazine');
	$wp_customize->get_control('blogname')->description 			= esc_html__("Your Website's Name", 'minimal-magazine');
	$wp_customize->get_control('blogdescription')->description 		= esc_html__("Your Website's Tagline", 'minimal-magazine');
	$wp_customize->get_control('custom_logo')->priority 			= 7;
	$wp_customize->get_control('blogname')->priority 				= 2;
	$wp_customize->get_control('blogdescription')->priority 		= 3;
	/**
	* Colors Panel.
	*/
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
	$wp_customize->get_control( 'header_textcolor' )->section 	= 'text_color';


	// Logo & Title
	$wp_customize->add_setting( 'customizer_logo_title_helper',
		array(
			'type' 				=> 'option',
			'sanitize_callback' => 'sanitize_key',
			)
	);

			$wp_customize->add_control( new Minimal_UI_Helper_Title ( $wp_customize, 'customizer_logo_title_helper', array(
					'type' => 'info',
					'label' => esc_html__('Logo & Title','minimal-magazine'),
					'section' => 'title_tagline',
					'settings'    => 'customizer_logo_title_helper',
					'priority'   => 1,
			)) );

	// Logo & Title
	$wp_customize->add_setting( 'customizer_logo_favicon_helper',
		array(
			'type' 				=> 'option',
			'sanitize_callback' => 'sanitize_key',
			)
	);

			$wp_customize->add_control( new Minimal_UI_Helper_Title ( $wp_customize, 'customizer_logo_favicon_helper', array(
					'type' => 'info',
					'label' => esc_html__('Favicon','minimal-magazine'),
					'section' => 'title_tagline',
					'settings'    => 'customizer_logo_favicon_helper',
					'priority'   => 10,
			)) );

	/*--------------------------------------------------------------
	## Settings & Controls
	--------------------------------------------------------------*/

/*--------------------------------------------------------------
## Social Accounts
--------------------------------------------------------------*/

	// Choose Social Menu Icons Heading
	$wp_customize->add_setting( 'customization[customizer_social_account_choose_helper]',
		array(
			'type' 					=> 'option',
			'sanitize_callback' 	=> 'sanitize_key',
			)
	);

			$wp_customize->add_control( new Minimal_UI_Helper_Title ( $wp_customize, 'customizer_social_account_choose_helper', array(
					'type' 			=> 'info',
					'label' 		=> esc_html__('Set Social Menu','minimal-magazine'),
					'description' 	=> esc_html__('This social menu will appear in header and footer section.','minimal-magazine'),
					'section' 		=> 'customizer_section_social_profile',
					'settings'    	=> 'customization[customizer_social_account_choose_helper]',
					'priority'   	=> 1,
			)) );

////////////////////// Social Account 1  //////////////////////////////

    // Social Accounts Icon One
    $wp_customize->add_setting('customization[minimal_social_account_icon_one]', array(
        'sanitize_callback' 	=> 'esc_attr',
        'transport' 			=> 'refresh',
        'type' => 'option',
    ));

	    $wp_customize->add_control('minimal_social_account_icon_one', array(
	        'section' => 'customizer_section_social_profile',
	        'type' => 'select',
	        'choices' => minimal_social_accounts_icons(),
	        'priority'   => 1,
			'settings'    	=> 'customization[minimal_social_account_icon_one]',
	        'input_attrs' => array(
				'placeholder' => esc_html__( 'www.facebook.com', 'minimal-magazine' ),
			),
	    ));

	// Social Accounts URL One
	$wp_customize->add_setting('customization[minimal_social_account_link_one]', array(
		'type' => 'option',
		'sanitize_callback' => 'esc_url_raw',
		'transport' => 'postMessage',
	) );

			$wp_customize->add_control('minimal_social_account_link_one',array(
				'type' 		=>'url',
               'section'    => 'customizer_section_social_profile',
               'settings'   => 'customization[minimal_social_account_link_one]',
               'priority'   => 2,
               'input_attrs' => array(
					'placeholder' => esc_html__( 'www.facebook.com', 'minimal-magazine' ),
				),
			));

////////////////////// Social Account 2  //////////////////////////////

    // Social Accounts Icon Two
    $wp_customize->add_setting('customization[minimal_social_account_icon_two]', array(
        'sanitize_callback' 	=> 'esc_attr',
        'transport' 			=> 'refresh',
        'type' => 'option',
    ));

	    $wp_customize->add_control('minimal_social_account_icon_two', array(
	        'section' => 'customizer_section_social_profile',
	        'type' => 'select',
	        'choices' => minimal_social_accounts_icons(),
	        'priority'   => 3,
			'settings'    	=> 'customization[minimal_social_account_icon_two]',
	        'input_attrs' => array(
				'placeholder' => esc_html__( 'www.facebook.com', 'minimal-magazine' ),
			),
	    ));

	// Social Accounts URL Two
	$wp_customize->add_setting('customization[minimal_social_account_link_two]', array(
		'type' => 'option',
		'sanitize_callback' => 'esc_url_raw',
		'transport' => 'postMessage',
	) );

			$wp_customize->add_control('minimal_social_account_link_two',array(
				'type' 		=>'url',
               'section'    => 'customizer_section_social_profile',
               'settings'   => 'customization[minimal_social_account_link_two]',
               'priority'   => 4,
                'input_attrs' => array(
					'placeholder' => esc_html__( 'www.facebook.com', 'minimal-magazine' ),
				),
			));

////////////////////// Social Account 3  //////////////////////////////

    // Social Accounts Icon Two
    $wp_customize->add_setting('customization[minimal_social_account_icon_three]', array(
        'sanitize_callback' 	=> 'esc_attr',
        'transport' 			=> 'refresh',
        'type' => 'option',
    ));

	    $wp_customize->add_control('minimal_social_account_icon_three', array(
	        'section' => 'customizer_section_social_profile',
	        'type' => 'select',
	        'choices' => minimal_social_accounts_icons(),
	        'priority'   => 5,
			'settings'    	=> 'customization[minimal_social_account_icon_three]',
	        'input_attrs' => array(
				'placeholder' => esc_html__( 'www.facebook.com', 'minimal-magazine' ),
			),
	    ));

	// Social Accounts URL Two
	$wp_customize->add_setting('customization[minimal_social_account_link_three]', array(
		'type' => 'option',
		'sanitize_callback' => 'esc_url_raw',
		'transport' => 'postMessage',
	) );

			$wp_customize->add_control('minimal_social_account_link_three',array(
				'type' 		=>'url',
               'section'    => 'customizer_section_social_profile',
               'settings'   => 'customization[minimal_social_account_link_three]',
               'priority'   => 6,
               'input_attrs' => array(
					'placeholder' => esc_html__( 'www.facebook.com', 'minimal-magazine' ),
				),
			));

////////////////////// Social Account 4  //////////////////////////////

    // Social Accounts Icon Four
    $wp_customize->add_setting('customization[minimal_social_account_icon_four]', array(
        'sanitize_callback' 	=> 'esc_attr',
        'transport' 			=> 'refresh',
        'type' => 'option',
    ));

	    $wp_customize->add_control('minimal_social_account_icon_four', array(
	        'section' => 'customizer_section_social_profile',
	        'type' => 'select',
			'settings'    	=> 'customization[minimal_social_account_icon_four]',
	        'choices' => minimal_social_accounts_icons(),
	        'priority'   => 7,
	        'input_attrs' => array(
				'placeholder' => esc_html__( 'www.facebook.com', 'minimal-magazine' ),
			),
	    ));

	// Social Accounts URL Two
	$wp_customize->add_setting('customization[minimal_social_account_link_four]', array(
		'type' => 'option',
		'sanitize_callback' => 'esc_url_raw',
		'transport' => 'postMessage',
	) );

			$wp_customize->add_control('minimal_social_account_link_four',array(
				'type' 		=>'url',
               'section'    => 'customizer_section_social_profile',
               'settings'   => 'customization[minimal_social_account_link_four]',
               'priority'   => 8,
               'input_attrs' => array(
				    'placeholder' => esc_html__( 'www.facebook.com', 'minimal-magazine' ),
				),
			));

////////////////////// Social Account 5  //////////////////////////////

    // Social Accounts Icon Five
    $wp_customize->add_setting('customization[minimal_social_account_icon_five]', array(
        'sanitize_callback' 	=> 'esc_attr',
        'transport' 			=> 'refresh',
        'type' => 'option',
    ));

	    $wp_customize->add_control('minimal_social_account_icon_five', array(
	        'section' => 'customizer_section_social_profile',
	        'type' => 'select',
			'settings'    	=> 'customization[minimal_social_account_icon_five]',
	        'choices' => minimal_social_accounts_icons(),
	        'priority'   => 9,
	        'input_attrs' => array(
				'placeholder' => esc_html__( 'www.facebook.com', 'minimal-magazine' ),
			),
	    ));

	// Social Accounts URL Two
	$wp_customize->add_setting('customization[minimal_social_account_link_five]', array(
		'type' => 'option',
		'sanitize_callback' => 'esc_url_raw',
		'transport' => 'postMessage',
	) );

			$wp_customize->add_control('minimal_social_account_link_five',array(
				'type' 		=>'url',
               'section'    => 'customizer_section_social_profile',
               'settings'   => 'customization[minimal_social_account_link_five]',
               'priority'   => 10,
               'input_attrs' => array(
				    'placeholder' => esc_html__( 'www.facebook.com', 'minimal-magazine' ),
				),
			));

////////////////////// Social Account 6  //////////////////////////////

    // Social Accounts Icon Six
    $wp_customize->add_setting('customization[minimal_social_account_icon_six]', array(
        'sanitize_callback' 	=> 'esc_attr',
        'transport' 			=> 'refresh',
        'type' => 'option',
    ));

	    $wp_customize->add_control('minimal_social_account_icon_six', array(
	        'section' => 'customizer_section_social_profile',
	        'type' => 'select',
			'settings'    	=> 'customization[minimal_social_account_icon_six]',
	        'choices' => minimal_social_accounts_icons(),
	        'priority'   => 11,
	        'input_attrs' => array(
				'placeholder' => esc_html__( 'www.facebook.com', 'minimal-magazine' ),
			),
	    ));

	// Social Accounts URL Two
	$wp_customize->add_setting('customization[minimal_social_account_link_six]', array(
		'type' => 'option',
		'sanitize_callback' => 'esc_url_raw',
		'transport' => 'postMessage',
	) );

			$wp_customize->add_control('minimal_social_account_link_six',array(
				'type' 		=>'email',
               'section'    => 'customizer_section_social_profile',
               'settings'   => 'customization[minimal_social_account_link_six]',
               'priority'   => 12,
               'input_attrs' => array(
				    'placeholder' => esc_html__( 'www.facebook.com', 'minimal-magazine' ),
				),
			));


	// Article Box Color
	$wp_customize->add_setting( 'customization[social_accounts_color]' ,
		array(
	    'default' 					=> '#333333',
	    'type' 						=> 'option',
	    'sanitize_callback' 		=> 'sanitize_hex_color',
	    'transport' 				=> 'postMessage'
		)
	);

		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,'social_accounts_color',
			array(
				'label'      => esc_html__( 'Social Accounts Logo Color', 'minimal-magazine' ),
				'section'    => 'customizer_section_social_profile',
				'settings'   => 'customization[social_accounts_color]',
			    'priority'   => 13,
			)
		));

/*--------------------------------------------------------------
## Show / Hide
--------------------------------------------------------------*/

/*--------------------------------------------------------------
## Footer
--------------------------------------------------------------*/

	// Show Hide Frontpage Sections
	$wp_customize->add_setting( 'customization[customization_show_hide_footer_sections]',
		array(
			'type' 				=> 'option',
			'sanitize_callback' => 'sanitize_key',
			)
	);

			$wp_customize->add_control( new Minimal_UI_Helper_Title ( $wp_customize, 'customization_show_hide_footer_sections', array(
					'type' => 'info',
					'label' => esc_html__('Footer Components','minimal-magazine'),
					'section' => 'customizer_section_footer_layout',
					'settings'    => 'customization[customization_show_hide_footer_sections]',
					'priority'   => 20,
			)) );



// Footer Logo
	$wp_customize->add_setting( 'customization[minimal_show_footer_logo]' ,
		array(
			'default' => true,
			'type' => 'option',
			'transport' => 'refresh',
			'sanitize_callback' => 'wp_validate_boolean',
		)
	);

		$wp_customize->add_control( 'minimal_show_footer_logo',array(
				'label'      => esc_html__( 'Show Footer Logo', 'minimal-magazine' ),
				'section'    => 'customizer_section_footer_layout',
				'settings'   => 'customization[minimal_show_footer_logo]',
			    'priority'   => 23,
			    'type'       => 'checkbox',
			)
		);


	// Scroll To Top
	$wp_customize->add_setting( 'customization[minimal_show_scroll_to_top]' ,
		array(
			'default' => true,
			'type' => 'option',
			'transport' => 'refresh',
			'sanitize_callback' => 'wp_validate_boolean',
		)
	);

		$wp_customize->add_control( 'minimal_show_scroll_to_top',array(
				'label'      => esc_html__( 'Show Scroll To Top', 'minimal-magazine' ),
				'section'    => 'customizer_section_footer_layout',
				'settings'   => 'customization[minimal_show_scroll_to_top]',
			    'priority'   => 25,
			    'type'       => 'checkbox',
			)
		);
/*--------------------------------------------------------------
## Posts
--------------------------------------------------------------*/

	// Show Hide Post Sections
	$wp_customize->add_setting( 'customization[customization_show_hide_post_sections]',
		array(
			'type' 				=> 'option',
			'sanitize_callback' => 'sanitize_key',
			)
	);

			$wp_customize->add_control( new Minimal_UI_Helper_Title ( $wp_customize, 'customization_show_hide_post_sections', array(
					'type' => 'info',
					'label' => esc_html__('Single Post Components','minimal-magazine'),
					'section' => 'customizer_section_single_article_layout',
					'settings'    => 'customization[customization_show_hide_post_sections]',
					'priority'   => 30,
			)) );

	// Show Post Navigation
	$wp_customize->add_setting( 'customization[minimal_show_post_meta_navigation]' ,
		array(
			'default' => true,
			'type' => 'option',
			'transport' => 'refresh',
			'sanitize_callback' => 'sanitize_key',
		)
	);

		$wp_customize->add_control( 'minimal_show_post_meta_navigation',array(
				'label'      => esc_html__( 'Show Post Navigation', 'minimal-magazine' ),
				'section'    => 'customizer_section_single_article_layout',
				'settings'   => 'customization[minimal_show_post_meta_navigation]',
			    'priority'   => 31,
			    'type'       => 'checkbox',
			)
		);


	// Show Related Articles
	$wp_customize->add_setting( 'customization[minimal_show_post_realted_article]' ,
		array(
			'default' => true,
			'type' => 'option',
			'transport' => 'refresh',
			'sanitize_callback' => 'sanitize_key',
		)
	);

		$wp_customize->add_control( 'minimal_show_post_realted_article',array(
				'label'      => esc_html__( 'Show Related Articles', 'minimal-magazine' ),
				'section'    => 'customizer_section_single_article_layout',
				'settings'   => 'customization[minimal_show_post_realted_article]',
			    'priority'   => 31,
			    'type'       => 'checkbox',
			)
		);


	// Show Post Tags
	$wp_customize->add_setting( 'customization[minimal_show_post_tags]' ,
		array(
			'default' => true,
			'type' => 'option',
			'transport' => 'refresh',
			'sanitize_callback' => 'sanitize_key',
		)
	);

		$wp_customize->add_control( 'minimal_show_post_tags',array(
				'label'      => esc_html__( 'Show Post Tags', 'minimal-magazine' ),
				'section'    => 'customizer_section_single_article_layout',
				'settings'   => 'customization[minimal_show_post_tags]',
			    'priority'   => 31,
			    'type'       => 'checkbox',
			)
		);


	// Show Post Category
	$wp_customize->add_setting( 'customization[minimal_show_post_category]' ,
		array(
			'default' => true,
			'type' => 'option',
			'transport' => 'refresh',
			'sanitize_callback' => 'sanitize_key',
		)
	);

		$wp_customize->add_control( 'minimal_show_post_category',array(
				'label'      => esc_html__( 'Show Post Category', 'minimal-magazine' ),
				'section'    => 'customizer_section_single_article_layout',
				'settings'   => 'customization[minimal_show_post_category]',
			    'priority'   => 31,
			    'type'       => 'checkbox',
			)
		);


	// Show Post Author Box
	$wp_customize->add_setting( 'customization[minimal_show_post_author_box]' ,
		array(
			'default' => true,
			'type' => 'option',
			'transport' => 'refresh',
			'sanitize_callback' => 'sanitize_key',
		)
	);

		$wp_customize->add_control( 'minimal_show_post_author_box',array(
				'label'      => esc_html__( 'Show Author Box', 'minimal-magazine' ),
				'section'    => 'customizer_section_single_article_layout',
				'settings'   => 'customization[minimal_show_post_author_box]',
			    'priority'   => 31,
			    'type'       => 'checkbox',
			)
		);


	// Show Comments
	$wp_customize->add_setting( 'customization[minimal_show_site_comments]' ,
		array(
			'default' => true,
			'type' => 'option',
			'transport' => 'refresh',
			'sanitize_callback' => 'sanitize_key',
		)
	);

		$wp_customize->add_control( 'minimal_show_site_comments',array(
				'label'      => esc_html__( 'Show Comments', 'minimal-magazine' ),
				'section'    => 'customizer_section_single_article_layout',
				'settings'   => 'customization[minimal_show_site_comments]',
			    'priority'   => 32,
			    'type'       => 'checkbox',
			)
		);


/*--------------------------------------------------------------
## Sitewide or Global Color
--------------------------------------------------------------*/

	$wp_customize->get_setting( 'background_color' )->default 	= '#eceef1';
	$wp_customize->get_control( 'background_color' )->section 	= 'customizer_section_global_color';
	$wp_customize->get_control( 'background_color' )->priority 	= 1;
	$wp_customize->get_control( 'background_color' )->label 	= esc_html__('Website Background Color', 'minimal-magazine');
	$wp_customize->get_control( 'background_image' )->section 	= 'customizer_section_global_color';
	$wp_customize->get_control( 'background_image' )->priority 	= 20;


	// Supporting Elements Colors
	$wp_customize->add_setting( 'customization[minimal_primary_color]', array(
	    'default' => '#2196F3',
	    'type' => 'option',
	    'sanitize_callback' => 'sanitize_hex_color',
	    'transport' => 'postMessage',
		)
	);

		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,'minimal_primary_color',
			array(
				'label'      		=> esc_html__( 'Supporting Elements Colors', 'minimal-magazine' ),
				'description'      	=> esc_html__( 'Applies to header Scroll To Top, Sharing Icon & Title border. ', 'minimal-magazine' ),
				'section'    		=> 'customizer_section_global_color',
				'settings'   		=> 'customization[minimal_primary_color]',
			    'priority'   		=> 10,
			)
		));


	// Meta Colors
	$wp_customize->add_setting( 'customization[minimal_accent_color]' ,
		array(
	    'default' => '#a5aaa8',
	    'type' => 'option',
	    'sanitize_callback' => 'sanitize_hex_color',
	    'transport' => 'postMessage'
		)
	);

		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,'minimal_accent_color',
			array(
				'label'      		=> esc_html__( 'Meta Colors', 'minimal-magazine' ),
				'description'      	=> esc_html__( 'Applies to Post Meta.', 'minimal-magazine' ),
				'section'    		=> 'customizer_section_global_color',
				'settings'   		=> 'customization[minimal_accent_color]',
			    'priority'   		=> 12
			)
		));


	// Button Background Color -- Settings
	$wp_customize->add_setting( 'customization[button_background_color]' ,
		array(
	    'default' => '#00B0FF',
	    'type' => 'option',
	    'sanitize_callback' => 'sanitize_hex_color',
	    'transport' => 'postMessage'
		)
	);

		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,'button_background_color',
			array(
				'label'      => esc_html__( 'Button Color', 'minimal-magazine' ),
				'section'    => 'customizer_section_global_color',
				'settings'   => 'customization[button_background_color]',
			    'priority'   => 2,
			)
		));


	// Button Text Color -- Settings
	$wp_customize->add_setting( 'customization[button_text_color]' ,
		array(
	    'default' => '#ffffff',
	    'type' => 'option',
	    'sanitize_callback' => 'sanitize_hex_color',
	    'transport' => 'postMessage'
		)
	);

		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,'button_text_color',
			array(
				'label'      => esc_html__( 'Button Text', 'minimal-magazine' ),
				'section'    => 'customizer_section_global_color',
				'settings'   => 'customization[button_text_color]',
			    'priority'   => 3,
			)
		));


	// Link Text Color -- Settings
	$wp_customize->add_setting( 'customization[link_text_color]' ,
		array(
	    'default' => '#000000',
	    'type' => 'option',
	    'sanitize_callback' => 'sanitize_hex_color',
	    'transport' => 'postMessage'
		)
	);

		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,'link_text_color',
			array(
				'label'      => esc_html__( 'Link Text', 'minimal-magazine' ),
				'section'    => 'customizer_section_global_color',
				'settings'   => 'customization[link_text_color]',
			    'priority'   => 5,
			)
		));


	// Link Hover Color -- Settings
	$wp_customize->add_setting( 'customization[link_hover_color]' ,
		array(
	    'default' => '#000000',
	    'type' => 'option',
	    'sanitize_callback' => 'sanitize_hex_color',
	    'transport' => 'postMessage'
		)
	);

		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,'link_hover_color',
			array(
				'label'      => esc_html__( 'Link Hover', 'minimal-magazine' ),
				'section'    => 'customizer_section_global_color',
				'settings'   => 'customization[link_hover_color]',
			    'priority'   => 6,
			)
		));




	// Category Color -- Settings
	$wp_customize->add_setting( 'customization[meta_cat_background_color]' ,
		array(
	    'default' => '#00B0FF',
	    'type' => 'option',
	    'sanitize_callback' => 'sanitize_hex_color',
	    'transport' => 'postMessage'
		)
	);

		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,'meta_cat_background_color',
			array(
				'label'      => esc_html__( 'Category Color', 'minimal-magazine' ),
				'section'    => 'customizer_section_global_color',
				'settings'   => 'customization[meta_cat_background_color]',
			    'priority'   => 7,
			)
		));


	// Border Color -- Settings
	$wp_customize->add_setting( 'customization[border_color]' ,
		array(
	    'default' => '#ECEEEE',
	    'type' => 'option',
	    'sanitize_callback' => 'sanitize_hex_color',
	    'transport' => 'postMessage'
		)
	);

		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,'border_color',
			array(
				'label'      => esc_html__( 'Border Color', 'minimal-magazine' ),
				'section'    => 'customizer_section_global_color',
				'settings'   => 'customization[border_color]',
			    'priority'   => 8,
			)
		));

	// Header Background Color -- Settings
	$wp_customize->add_setting( 'customization[header_background_color]' ,
		array(
	    'default' => '#ffffff',
	    'type' => 'option',
	    'sanitize_callback' => 'sanitize_hex_color',
	    'transport' => 'postMessage'
		)
	);

		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,'header_background_color',
			array(
				'label'      => esc_html__( 'Header Background Color', 'minimal-magazine' ),
				'section'    => 'customizer_section_header_color',
				'settings'   => 'customization[header_background_color]',
			    'priority'   => 3
			)
		));



	// Widget Background Color -- Settings
	$wp_customize->add_setting( 'customization[widgets_background_color]', array(
	    'default' => '#ecf1ff',
	    'type' => 'option',
	    'sanitize_callback' => 'sanitize_hex_color',
	    'transport' => 'postMessage',
		)
	);

		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,'widgets_background_color',
			array(
				'label'      => esc_html__( 'Widget Area Background Color', 'minimal-magazine' ),
				'section'    => 'customizer_section_widget_area',
				'settings'   => 'customization[widgets_background_color]',
			    'priority'   => 4,
			)
		));


	// Footer Background Color -- Settings
	$wp_customize->add_setting( 'customization[footer_background_color]' ,
		array(
	    'default' => '#eceef1',
	    'type' => 'option',
	    'sanitize_callback' => 'sanitize_hex_color',
	    'transport' => 'postMessage'
		)
	);

		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,'footer_background_color',
			array(
				'label'      => esc_html__( 'Footer Background Color', 'minimal-magazine' ),
				'section'    => 'customizer_section_footer_layout',
				'settings'   => 'customization[footer_background_color]',
			    'priority'   => 6
			)
		));


/*--------------------------------------------------------------
## Text Color
--------------------------------------------------------------*/

	// Logo Text Color
	$wp_customize->get_control('header_textcolor')->label = esc_html__('Logo Title Color', 'minimal-magazine');
	$wp_customize->get_control('header_textcolor')->priority = 6;
	$wp_customize->get_control('header_textcolor')->section = 'title_tagline';

	// Menu Text Color -- Settings
	$wp_customize->add_setting( 'customization[menu_text_color]' ,
		array(
	    'default' => '#000000',
	    'type' => 'option',
	    'sanitize_callback' => 'sanitize_hex_color',
	    'transport' => 'postMessage'
		)
	);

		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,'menu_text_color',
			array(
				'label'      => esc_html__( 'Menu or Navigation Color', 'minimal-magazine' ),
				'section'    => 'customizer_section_header_color',
				'settings'   => 'customization[menu_text_color]',
			    'priority'   => 8
			)
		));


/*--------------------------------------------------------------
## General Layout
--------------------------------------------------------------*/

	// Website Width Title
	$wp_customize->add_setting( 'customization[customizer_website_width_layout_helper]',
		array(
			'type' 				=> 'option',
			'sanitize_callback' => 'sanitize_key',
			)
	);

			$wp_customize->add_control( new Minimal_UI_Helper_Title ( $wp_customize, 'customizer_website_width_layout_helper', array(
					'type' => 'info',
					'label' => esc_html__('Website Width','minimal-magazine'),
					'section' => 'customizer_section_width_layout',
					'settings'    => 'customization[customizer_website_width_layout_helper]',
					'priority'   => 1,
			)) );


	//Canvas Width
	$wp_customize->add_setting('customization[minimal_website_width]',
			      array(
			          'default'         => '100',
			          'sanitize_callback' => 'sanitize_key',
			          'transport'       => 'postMessage',
			          'type'            => 'option'
			      )
		  );


		  $wp_customize->add_control(new WP_Customize_Control($wp_customize,'minimal_website_width',
		            array(
		                'label'          => esc_html__( 'Site Canvas Width', 'minimal-magazine' ),
		                'description'    => esc_html__( 'From Box to Full Width', 'minimal-magazine' ),
		                'section'        => 'customizer_section_width_layout',
		                'settings'       => 'customization[minimal_website_width]',
		                'type'           => 'range',
               			'priority'   	 => 2,
		                'input_attrs' => array(
						    'min' => '0',
						    'max' => '100',
						    'step' => '5',
					  	),
		            )
		        )
		   );

	//Site Width
	$wp_customize->add_setting('customization[minimal_canvas_width]', array(
			'type' 				=> 'option',
			'default'         	=> '1200px',
			'sanitize_callback' => 'esc_attr',
			'transport' 		=> 'refresh',
	) );

			$wp_customize->add_control('minimal_canvas_width',array(
				'type' 			=>'text',
               'label'      	=> esc_html__( 'Site Width', 'minimal-magazine' ),
               'description' 	=> esc_html__( 'Write your width in px. Example: 1200px. Your content will be confined within this area.', 'minimal-magazine' ),
               'section'    	=> 'customizer_section_width_layout',
               'settings'   	=> 'customization[minimal_canvas_width]',
               'priority'   	=> 3,
               'input_attrs' => array(
            		'placeholder' => __( '1200px', 'minimal-magazine' ),
        		)
			));


	//Header Width
	$wp_customize->add_setting('customization[minimal_header_width]', array(
			'type' 				=> 'option',
			'default'         	=> '1200px',
			'sanitize_callback' => 'esc_attr',
			'transport' 		=> 'refresh',
	) );

			$wp_customize->add_control('minimal_header_width',array(
				'type' 			=>'text',
               'label'      	=> esc_html__( 'Header Width', 'minimal-magazine' ),
               'description' 	=> esc_html__( 'Write your width in px. Example: 1200px. Your content will be confined within this area.', 'minimal-magazine' ),
               'section'    	=> 'customizer_section_width_layout',
               'settings'   	=> 'customization[minimal_header_width]',
               'priority'   	=> 4,
               'input_attrs' => array(
            		'placeholder' => __( '1200px', 'minimal-magazine' ),
        		)
			));
/*--------------------------------------------------------------
## Header Layout
--------------------------------------------------------------*/


	// Header Layouts
	$wp_customize->add_setting( 'customization[minimal_header_menu_layout]' ,
		array(
			'default' => 1,
			'type' => 'option',
			'transport' => 'refresh',
			'sanitize_callback' => 'absint',
		)
	);

		$wp_customize->add_control( 'minimal_header_menu_layout',array(
				'label'      => esc_html__( 'Header Layouts', 'minimal-magazine' ),
				'section'    => 'customizer_section_header_layout',
				'settings'   => 'customization[minimal_header_menu_layout]',
			    'priority'   => 1,
			    'type'       => 'select',
				'choices'    => array(
							1   => esc_html__( 'Center Header', 'minimal-magazine' ),
							2  	=> esc_html__( 'Left Header', 'minimal-magazine' ),
					),
			)
		);

	// Show Your Social Media Profiles
	$wp_customize->add_setting( 'customization[minimal_show_header_social]' ,
		array(
			'type' => 'option',
        	'default' => '1',
        	'sanitize_callback' == 'esc_url_raw'
		)
	);

		$wp_customize->add_control( 'minimal_show_header_social',array(
				'label'      => esc_html__( 'Show Social Media Profiles', 'minimal-magazine' ),
				'section'    => 'customizer_section_header_layout',
				'settings'   => 'customization[minimal_show_header_social]',
			    'priority'   => 2,
			    'type'       => 'checkbox',
			    'transport' => 'refresh'
			)
		);

	// Show Header Search
	$wp_customize->add_setting( 'customization[minimal_show_header_search]' ,
		array(
        	'default' => '1',
        	'type' => 'option',
        	'sanitize_callback' == 'esc_url_raw'
		)
	);

		$wp_customize->add_control( 'minimal_show_header_search',array(
				'label'      => esc_html__( 'Show Header Search', 'minimal-magazine' ),
				'section'    => 'customizer_section_header_layout',
				'settings'   => 'customization[minimal_show_header_search]',
			    'priority'   => 2,
			    'type'       => 'checkbox',
			    'transport' => 'refresh'
			)
		);

	// Show Category Dropdown
	$wp_customize->add_setting( 'customization[minimal_show_header_category_dropdown]' ,
		array(
        	'default' => '1',
        	'type' => 'option',
        	'sanitize_callback' == 'esc_url_raw'
		)
	);

		$wp_customize->add_control( 'minimal_show_header_category_dropdown',array(
				'label'      => esc_html__( 'Show Category Dropdown', 'minimal-magazine' ),
				'section'    => 'customizer_section_header_layout',
				'settings'   => 'customization[minimal_show_header_category_dropdown]',
			    'priority'   => 2,
			    'type'       => 'checkbox',
			    'transport' => 'refresh'
			)
		);






	// Header Image
	$wp_customize->add_setting( 'customization[customizer_header_background_helper]',
		array(
			'type' 				=> 'option',
			'sanitize_callback' => 'sanitize_key',
			)
	);

			$wp_customize->add_control( new Minimal_UI_Helper_Title ( $wp_customize, 'customizer_header_background_helper', array(
					'type' => 'info',
					'label' => esc_html__('Header Background Image','minimal-magazine'),
					'section' => 'customizer_section_header_color',
					'settings'    => 'customization[customizer_header_background_helper]',
					'priority'   => 9,
			)) );

	$wp_customize->get_control( 'header_image' )->section 		= 'customizer_section_header_color';
	$wp_customize->get_control( 'header_image' )->priority 	= 10;

/*--------------------------------------------------------------
## Header Navigation Layout
--------------------------------------------------------------*/

	// Choose Fonts Heading
	$wp_customize->add_setting( 'customization[customizer_header_menu_layout_helper]',
		array(
			'type' 				=> 'option',
			'sanitize_callback' => 'sanitize_key',
			)
	);

			$wp_customize->add_control( new Minimal_UI_Helper_Title ( $wp_customize, 'customizer_header_menu_layout_helper', array(
					'type' => 'info',
					'label' => esc_html__('Header Menu','minimal-magazine'),
					'section' => 'customizer_section_header_navigation',
					'settings'    => 'customization[customizer_header_menu_layout_helper]',
					'priority'   => 6,
			)) );


	// Header Menu Layout
	$wp_customize->add_setting( 'customization[minimal_menu_layout]' ,
		array(
			'default' => 'general',
			'type' => 'option',
			'sanitize_callback' => 'esc_attr',
			'transport' => 'refresh'
		)
	);

		$wp_customize->add_control( 'minimal_menu_layout',array(
				'label'      => esc_html__( 'Header Navigation Type', 'minimal-magazine' ),
				'section'    => 'customizer_section_header_navigation',
				'settings'   => 'customization[minimal_menu_layout]',
			    'priority'   => 7,
			    'type'       => 'radio',
				'choices'    => array(
					'general'   => esc_html__( 'Full Menu', 'minimal-magazine' ),
					'hamburger'  => esc_html__( 'Hamburger Icon', 'minimal-magazine' ),
				),
			)
		);


	// Menu Position -- Settings
	$wp_customize->add_setting( 'customization[minimal_menu_position]' ,
		array(
			'default' => 'right',
			'type' => 'option',
			'sanitize_callback' => 'esc_attr',
			'transport' => 'postMessage'
		)
	);

		$wp_customize->add_control( 'minimal_menu_position',array(
				'label'      => esc_html__( 'Navigation Alignment', 'minimal-magazine' ),
				'section'    => 'customizer_section_header_navigation',
				'settings'   => 'customization[minimal_menu_position]',
			    'priority'   => 8,
			    'type'       => 'radio',
				'choices'    => array(
					'left'   => esc_html__( 'Left', 'minimal-magazine' ),
					'right'  => esc_html__( 'Right', 'minimal-magazine' ),
					'center' => esc_html__( 'Center', 'minimal-magazine' ),
				),
			)
		);


	//Hamburger Menu Text
	$wp_customize->add_setting('customization[minimal_hamburger_title]', array(
		'type' => 'option',
		'sanitize_callback' => 'minimal_sanitize_input',
		'transport' => 'postMessage',
	) );

			$wp_customize->add_control('minimal_hamburger_title',array(
				'type' 		=>'text',
				'priority'   => 10,
               'label'      => esc_html__( 'Hamburger Menu Text', 'minimal-magazine' ),
               'description'      => esc_html__( 'Leave it empty if you do not want to display anything beside hamburger icon' , 'minimal-magazine' ),
               'section'    => 'customizer_section_header_navigation',
               'settings'   => 'customization[minimal_hamburger_title]',
			));

/*--------------------------------------------------------------
## Post Layout
--------------------------------------------------------------*/


	// Blog Posts Layout
	$wp_customize->add_setting( 'customization[minimal_layout_blog]' ,
		array(
			'default' => 1,
			'type' => 'option',
			'sanitize_callback' => 'absint',
			'transport' => 'refresh'
		)
	);

		$wp_customize->add_control( 'minimal_layout_blog',array(
				'label'      => esc_html__( 'Article Listings Layout', 'minimal-magazine' ),
				'description' => esc_html__( 'Applies to Index, Blog page template, category and archive post list.', 'minimal-magazine' ),
				'section'    => 'customizer_section_article_layout',
				'settings'   => 'customization[minimal_layout_blog]',
			    'priority'   => 1,
			    'type'       => 'radio',
				'choices'    => array(
					1   => esc_html__( 'Stylish Magazine', 'minimal-magazine' ),
					2   => esc_html__( 'News Bulletin', 'minimal-magazine' ),
				),
			)
		);


	// Pagination Layout
	$wp_customize->add_setting( 'customization[minimal_blog_pagination_type]' ,
		array(
			'default' => 1,
			'type' => 'option',
			'sanitize_callback' => 'absint',
			'transport' => 'refresh'
		)
	);

		$wp_customize->add_control( 'minimal_blog_pagination_type',array(
				'label'      => esc_html__( 'Pagination Type', 'minimal-magazine' ),
				'description' => esc_html__( 'Before selecting WP PageNavi, make sure you have WP PageNavi plugin installed.', 'minimal-magazine' ),
				'section'    => 'customizer_section_article_layout',
				'settings'   => 'customization[minimal_blog_pagination_type]',
			    'priority'   => 1,
			    'type'       => 'select',
				'choices'    => array(
					1   => esc_html__( 'Next / Previous', 'minimal-magazine' ),
					2   => esc_html__( 'Numeric 1 2 3', 'minimal-magazine' ),
					3   => esc_html__( 'WP PageNavi', 'minimal-magazine' ),
				),
			)
		);


	// Single Article Layout
	$wp_customize->add_setting( 'customization[minimal_layout_single_post]' ,
		array(
			'default' => 1,
			'type' => 'option',
			'transport' => 'refresh',
			'sanitize_callback' => 'absint',
		)
	);

		$wp_customize->add_control( 'minimal_layout_single_post',array(
				'label'      => esc_html__( 'Single Article Layout', 'minimal-magazine' ),
				'section'    => 'customizer_section_single_article_layout',
				'settings'   => 'customization[minimal_layout_single_post]',
			    'priority'   => 2,
			    'type'       => 'radio',
				'choices'    => array(
					1   => esc_html__( 'Top Image', 'minimal-magazine' ),
					2   => esc_html__( 'Big Title', 'minimal-magazine' ),
				),
			)
		);


	// Sidebar Width
	$wp_customize->add_setting( 'customization[minimal_layout_single_sidebar_width]' ,
		array(
			'default' => 2,
			'type' => 'option',
			'transport' => 'refresh',
			'sanitize_callback' => 'absint',
		)
	);

		$wp_customize->add_control( 'minimal_layout_single_sidebar_width',array(
				'label'      => esc_html__( 'Sidebar Width', 'minimal-magazine' ),
				'section'    => 'customizer_section_single_article_layout',
				'settings'   => 'customization[minimal_layout_single_sidebar_width]',
			    'priority'   => 2,
			    'type'       => 'radio',
				'choices'    => array(
					1   => esc_html__( '25% of Content', 'minimal-magazine' ),
					2   => esc_html__( '35% of Content', 'minimal-magazine' ),
					3   => esc_html__( '40% of Content', 'minimal-magazine' ),
					4   => esc_html__( '50% of Content', 'minimal-magazine' ),
				),
			)
		);

/*--------------------------------------------------------------
## Footer Layout
--------------------------------------------------------------*/


	//Copyright Text
	$wp_customize->add_setting('customization[minimal_copyright_text]', array(
		'type' => 'option',
		'sanitize_callback' => 'minimal_sanitize_input',
		'transport' => 'refresh',
	) );

			$wp_customize->add_control('minimal_copyright_text',array(
				'type' 			=>'textarea',
				'priority'   	=> 4,
               'label'      	=> esc_html__( 'Footer Copyright Text', 'minimal-magazine' ),
               'description' 	=> esc_html__( 'Type your own text to replace default footer text.', 'minimal-magazine' ),
               'section'    	=> 'customizer_section_footer_layout',
               'settings'   	=> 'customization[minimal_copyright_text]',
			));



/*--------------------------------------------------------------
## Typography
--------------------------------------------------------------*/

/*--------------------------------------------------------------
## Typography - Font Size
--------------------------------------------------------------*/

// Typography Body Font & Size

	// Body Section Helper
	$wp_customize->add_setting( 'customization[customizer_typography_body_section_helper]',
		array(
			'type' 				=> 'option',
			'sanitize_callback' => 'sanitize_key',
			)
	);

			$wp_customize->add_control( new Minimal_UI_Helper_Title ( $wp_customize, 'customizer_typography_body_section_helper', array(
					'type' => 'info',
					'label' => esc_html__('Body Font Settings','minimal-magazine'),
					'description' => esc_html__('Set your body font, font size, weight & line height,','minimal-magazine'),
					'section' => 'customizer_section_typography_body',
					'settings'    => 'customization[customizer_typography_body_section_helper]',
					'priority'   => 10,
			)) );


	// Body Text Color -- Settings
	$wp_customize->add_setting( 'customization[body_text_color]' ,
		array(
	    'default' => '#333333',
	    'type' => 'option',
	    'sanitize_callback' => 'sanitize_hex_color',
	    'transport' => 'postMessage'
		)
	);

		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,'body_text_color',
			array(
				'label'      => esc_html__( 'Body Text Color', 'minimal-magazine' ),
				'description'      => esc_html__( 'Applies to site wide text including input & textarea field text', 'minimal-magazine' ),
				'section'    => 'customizer_section_typography_body',
				'settings'   => 'customization[body_text_color]',
			    'priority'   => 11,
			)
		));



	//Body Text Font Size
	$wp_customize->add_setting('customization[minimal_body_font_size]', array(
		'type' => 'option',
		'default' => '16px',
		'sanitize_callback' => 'esc_attr',
		'transport' => 'postMessage',
	) );
			$wp_customize->add_control('minimal_body_font_size', array(
				'type' => 'text',
				'label' => esc_html__('Body Font Size','minimal-magazine'),
				'section' => 'customizer_section_typography_body',
				'settings' => 'customization[minimal_body_font_size]',
				'priority'   => 12,
               'input_attrs' => array(
            		'placeholder' => __( 'example: 16px', 'minimal-magazine' ),
        		)
			) );



    // Font Weight - Body
	$wp_customize->add_setting( 'customization[minimal_body_weight]' ,
		array(
			'default' 			=> 'normal',
			'type' 				=> 'option',
			'transport' 		=> 'postMessage',
			'sanitize_callback' => 'esc_attr',
		)
	);

		$wp_customize->add_control( 'minimal_body_weight',
			array(
				'label'      	=> esc_html__( 'Body Font Weight', 'minimal-magazine' ),
				'section'    	=> 'customizer_section_typography_body',
				'settings'   	=> 'customization[minimal_body_weight]',
				'sanitize_callback' => 'esc_attr',
			    'priority'   	=> 12,
			    'type'       	=> 'select',
					'choices'   => array(
							'100'   	=> esc_html__( '100', 'minimal-magazine' ),
							'200'  		=> esc_html__( '200', 'minimal-magazine' ),
							'300'		=> esc_html__( '300', 'minimal-magazine' ),
							'400'   	=> esc_html__( '400', 'minimal-magazine' ),
							'500'  		=> esc_html__( '500', 'minimal-magazine' ),
							'600'		=> esc_html__( '600', 'minimal-magazine' ),
							'700'   	=> esc_html__( '700', 'minimal-magazine' ),
							'800'  		=> esc_html__( '800', 'minimal-magazine' ),
							'900'		=> esc_html__( '900', 'minimal-magazine' ),
							'lighter'	=> esc_html__( 'Lighter', 'minimal-magazine' ),
							'normal'   	=> esc_html__( 'Normal', 'minimal-magazine' ),
							'bold'  	=> esc_html__( 'Bold', 'minimal-magazine' ),
							'bolder'	=> esc_html__( 'Bolder', 'minimal-magazine' ),
					),
			)
		);

	//Body Font Size
	$wp_customize->add_setting('customization[minimal_body_line_height]', array(
		'type' => 'option',
		'default' => 1.618,
		'sanitize_callback' => 'esc_attr',
		'transport' => 'refresh',
	) );
			$wp_customize->add_control('minimal_body_line_height', array(
				'type' => 'text',
				'label' => esc_html__('Line Height','minimal-magazine'),
				'section' => 'customizer_section_typography_body',
				'settings' => 'customization[minimal_body_line_height]',
				'priority'   => 13,
               'input_attrs' => array(
            		'placeholder' => __( 'example: 1.618', 'minimal-magazine' ),
        		)
			) );



// Typography Title Font & Size

	// Title Section Helper
	$wp_customize->add_setting( 'customization[customizer_typography_title_section_helper]',
		array(
			'type' 				=> 'option',
			'sanitize_callback' => 'sanitize_key',
			)
	);

			$wp_customize->add_control( new Minimal_UI_Helper_Title ( $wp_customize, 'customizer_typography_title_section_helper', array(
					'type' => 'info',
					'label' => esc_html__('Title Font Settings','minimal-magazine'),
					'description' => esc_html__('Set your Titles font, font size, weight & line height,','minimal-magazine'),
					'section' => 'customizer_section_typography_title',
					'settings'    => 'customization[customizer_typography_title_section_helper]',
					'priority'   => 10,
			)) );


	// Title Text Color -- Settings
	$wp_customize->add_setting( 'customization[title_text_color]' ,
		array(
	    'default' => '#000000',
	    'type' => 'option',
	    'sanitize_callback' => 'sanitize_hex_color',
	    'transport' => 'postMessage'
		)
	);

		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,'title_text_color',
			array(
				'label'      	=> esc_html__( 'Heading Text Color', 'minimal-magazine' ),
				'description'	=> esc_html__( 'Applies to all the titles', 'minimal-magazine' ),
				'section'    	=> 'customizer_section_typography_title',
				'settings'   	=> 'customization[title_text_color]',
			    'priority'   	=> 11,
			)
		));

	//H1 Font Size
	$wp_customize->add_setting('customization[body_h1_size]', array(
		'type' => 'option',
		'default' => '36px',
		'sanitize_callback' => 'esc_attr',
		'transport' => 'refresh',
	) );
			$wp_customize->add_control('body_h1_size', array(
				'type' => 'text',
				'label' => esc_html__('H1 Font Size','minimal-magazine'),
				'section' => 'customizer_section_typography_title',
				'settings' => 'customization[body_h1_size]',
				'priority'   => 12,
               'input_attrs' => array(
            		'placeholder' => __( 'example: 36px', 'minimal-magazine' ),
        		)
			) );

	//H2 Font Size
	$wp_customize->add_setting('customization[body_h2_size]', array(
		'type' => 'option',
		'default' => '24px',
		'sanitize_callback' => 'esc_attr',
		'transport' => 'refresh',
	) );
			$wp_customize->add_control('body_h2_size', array(
				'type' => 'text',
				'label' => esc_html__('H2 Font Size','minimal-magazine'),
				'section' => 'customizer_section_typography_title',
				'settings' => 'customization[body_h2_size]',
				'priority'   => 12,
               'input_attrs' => array(
            		'placeholder' => __( 'example: 24px', 'minimal-magazine' ),
        		)
			) );


	//H3 Font Size
	$wp_customize->add_setting('customization[body_h3_size]', array(
		'type' => 'option',
		'default' => '16px',
		'sanitize_callback' => 'esc_attr',
		'transport' => 'refresh',
	) );
			$wp_customize->add_control('body_h3_size', array(
				'type' => 'text',
				'label' => esc_html__('H3 Font Size','minimal-magazine'),
				'section' => 'customizer_section_typography_title',
				'settings' => 'customization[body_h3_size]',
				'priority'   => 12,
               'input_attrs' => array(
            		'placeholder' => __( 'example: 16px', 'minimal-magazine' ),
        		)
			) );

	//H4 Font Size
	$wp_customize->add_setting('customization[body_h4_size]', array(
		'type' => 'option',
		'default' => '16px',
		'sanitize_callback' => 'esc_attr',
		'transport' => 'refresh',
	) );
			$wp_customize->add_control('body_h4_size', array(
				'type' => 'text',
				'label' => esc_html__('H4 Font Size','minimal-magazine'),
				'section' => 'customizer_section_typography_title',
				'settings' => 'customization[body_h4_size]',
				'priority'   => 12,
               'input_attrs' => array(
            		'placeholder' => __( 'example: 16px', 'minimal-magazine' ),
        		)
			) );



	//H5 Font Size
	$wp_customize->add_setting('customization[body_h5_size]', array(
		'type' => 'option',
		'default' => '16px',
		'sanitize_callback' => 'esc_attr',
		'transport' => 'refresh',
	) );
			$wp_customize->add_control('body_h5_size', array(
				'type' => 'text',
				'label' => esc_html__('H5 Font Size','minimal-magazine'),
				'section' => 'customizer_section_typography_title',
				'settings' => 'customization[body_h5_size]',
				'priority'   => 12,
               'input_attrs' => array(
            		'placeholder' => __( 'example: 16px', 'minimal-magazine' ),
        		)
			) );

	//H6 Font Size
	$wp_customize->add_setting('customization[body_h6_size]', array(
		'type' => 'option',
		'default' => '16px',
		'sanitize_callback' => 'esc_attr',
		'transport' => 'refresh',
	) );
			$wp_customize->add_control('body_h6_size', array(
				'type' => 'text',
				'label' => esc_html__('H6 Font Size','minimal-magazine'),
				'section' => 'customizer_section_typography_title',
				'settings' => 'customization[body_h6_size]',
				'priority'   => 12,
               'input_attrs' => array(
            		'placeholder' => __( 'example: 16px', 'minimal-magazine' ),
        		)
			) );


    // Font Weight - Title
	$wp_customize->add_setting( 'customization[minimal_title_weight]' ,
		array(
			'default' 			=> 'normal',
			'type' 				=> 'option',
			'transport' 		=> 'postMessage',
			'sanitize_callback' => 'esc_attr',
		)
	);

		$wp_customize->add_control( 'minimal_title_weight',
			array(
				'label'      	=> esc_html__( 'Title Font Weight', 'minimal-magazine' ),
				'section'    	=> 'customizer_section_typography_title',
				'settings'   	=> 'customization[minimal_title_weight]',
				'sanitize_callback' => 'esc_attr',
			    'priority'   	=> 33,
			    'type'       	=> 'select',
					'choices'   => array(
							'100'   	=> esc_html__( '100', 'minimal-magazine' ),
							'200'  		=> esc_html__( '200', 'minimal-magazine' ),
							'300'		=> esc_html__( '300', 'minimal-magazine' ),
							'400'   	=> esc_html__( '400', 'minimal-magazine' ),
							'500'  		=> esc_html__( '500', 'minimal-magazine' ),
							'600'		=> esc_html__( '600', 'minimal-magazine' ),
							'700'   	=> esc_html__( '700', 'minimal-magazine' ),
							'800'  		=> esc_html__( '800', 'minimal-magazine' ),
							'900'		=> esc_html__( '900', 'minimal-magazine' ),
							'lighter'	=> esc_html__( 'Lighter', 'minimal-magazine' ),
							'normal'   	=> esc_html__( 'Normal', 'minimal-magazine' ),
							'bold'  	=> esc_html__( 'Bold', 'minimal-magazine' ),
							'bolder'	=> esc_html__( 'Bolder', 'minimal-magazine' ),
					),
			)
		);


    // Title Text Transform
	$wp_customize->add_setting( 'customization[minimal_header_title_capitalization]' ,
		array(
			'default' 			=> 'none',
			'type' 				=> 'option',
			'transport' 		=> 'postMessage',
			'sanitize_callback' => 'sanitize_key',
		)
	);

		$wp_customize->add_control( 'minimal_header_title_capitalization',
			array(
				'label'      	=> esc_html__( 'Title Capitalization', 'minimal-magazine' ),
				'section'    	=> 'customizer_section_typography_title',
				'settings'   	=> 'customization[minimal_header_title_capitalization]',
				'sanitize_callback' => 'esc_attr',
			    'priority'   	=> 31,
			    'type'       	=> 'radio',
					'choices'   => array(
							'none'   	=> esc_html__( 'Normal', 'minimal-magazine' ),
							'uppercase' => esc_html__( 'UPPERCASE', 'minimal-magazine' ),
							'lowercase'	=> esc_html__( 'lowercase', 'minimal-magazine' ),
							'capitalize'=> esc_html__( 'Capitalize', 'minimal-magazine' ),
					),
			)
		);


	//Menu Font Size
	$wp_customize->add_setting('customization[minimal_menu_font_size]', array(
		'type' => 'option',
		'default' => '16px',
		'sanitize_callback' => 'esc_attr',
		'transport' => 'postMessage',
	) );
			$wp_customize->add_control('minimal_menu_font_size', array(
				'type' => 'text',
				'label' => esc_html__('Menu Font Size','minimal-magazine'),
				'section' => 'customizer_section_header_color',
				'settings' => 'customization[minimal_menu_font_size]',
				'priority'   => 21,
               'input_attrs' => array(
            		'placeholder' => __( 'example: 16px', 'minimal-magazine' ),
        		)
			) );

/*--------------------------------------------------------------
## Font Style
--------------------------------------------------------------*/



    // Widget Left Title Alignment
	$wp_customize->add_setting( 'customization[minimal_widget_title_alignment]' ,
		array(
			'default' 			=> 'left',
			'type' 				=> 'option',
			'transport' 		=> 'postMessage',
			'sanitize_callback' => 'sanitize_key',
		)
	);

		$wp_customize->add_control( 'minimal_widget_title_alignment',
			array(
				'label'      	=> esc_html__( 'Widget Title Alignment', 'minimal-magazine' ),
				'section'    	=> 'customizer_section_widget_area',
				'settings'   	=> 'customization[minimal_widget_title_alignment]',
				'sanitize_callback' => 'esc_attr',
			    'priority'   	=> 32,
			    'type'       	=> 'radio',
					'choices'   => array(
							'left'   	=> esc_html__( 'Left', 'minimal-magazine' ),
							'center'  	=> esc_html__( 'Center', 'minimal-magazine' ),
							'right'		=> esc_html__( 'Right', 'minimal-magazine' ),
					),
			)
		);


/*--------------------------------------------------------------
## Section: Static Front Page
--------------------------------------------------------------*/

	$wp_customize->add_setting( 'customization[customizer_frontpage_helper_documentation]',
		array(
			'type' 				=> 'option',
			'sanitize_callback' => 'sanitize_key',
			)
	);

			$wp_customize->add_control( new Minimal_UI_Helper_Title ( $wp_customize, 'customizer_frontpage_helper_documentation', array(
					'type' => 'info',
					'label' => esc_html__('Setting up Front Page','minimal-magazine'),
					'section' => 'static_front_page',
					'settings'    => 'customization[customizer_frontpage_helper_documentation]',
					'priority'   => 100,
			)) );



/*--------------------------------------------------------------
## Section: Homepage Latest Articles
--------------------------------------------------------------*/

	$wp_customize->add_setting( 'customization[home_article_customizer_title]',
		array(
			'type' 					=> 'option',
			'sanitize_callback'    	=> 'sanitize_key',
			)
	);

			$wp_customize->add_control( new Minimal_UI_Helper_Title ( $wp_customize, 'home_article_customizer_title', array(
					'type' 			=> 'info',
					'label' 		=> esc_html__('Breaking News','minimal-magazine'),
					'section' 		=> 'minimal_home_latest_article',
					'settings'    	=> 'customization[home_article_customizer_title]',
					'description'   => esc_html__( 'Displays all of your latest articles (except the sticky articles).', 'minimal-magazine' ),
					'priority'   	=> 10,
			)) );


	// Posts layout
	$wp_customize->add_setting( 'customization[home_latest_article_layout]' ,
		array(
			'default' => 4,
			'type' => 'option',
			'sanitize_callback' => 'absint',
			'transport' => 'refresh',
		)
	);

		$wp_customize->add_control( 'home_latest_article_layout',array(
				'label'      => esc_html__( 'Article Layouts', 'minimal-magazine' ),
				'section'    => 'minimal_home_latest_article',
				'settings'   => 'customization[home_latest_article_layout]',
			    'priority'   => 11,
			    'type'       => 'radio',
				'choices'    => array(
					4   => esc_html__( 'Wide Image', 'minimal-magazine' ),
				),
			)
		);


	// Article Box Color
	$wp_customize->add_setting( 'customization[home_latest_article_box_color]' ,
		array(
	    'default' 					=> '#FFFFFF',
	    'type' 						=> 'option',
	    'sanitize_callback' 		=> 'sanitize_hex_color',
	    'transport' 				=> 'postMessage'
		)
	);

		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,'home_latest_article_box_color',
			array(
				'label'      => esc_html__( 'Article Box Color', 'minimal-magazine' ),
				'section'    => 'minimal_home_latest_article',
				'settings'   => 'customization[home_latest_article_box_color]',
			    'priority'   => 11,
			)
		));

	// Latest Article Section background Color
	$wp_customize->add_setting( 'customization[home_latest_article_background_color]' ,
		array(
	    'default' 					=> '#FFFFFF',
	    'type' 						=> 'option',
	    'sanitize_callback' 		=> 'sanitize_hex_color',
	    'transport' 				=> 'postMessage'
		)
	);

		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,'home_latest_article_background_color',
			array(
				'label'      => esc_html__( 'Section Background Color', 'minimal-magazine' ),
				'section'    => 'minimal_home_latest_article',
				'settings'   => 'customization[home_latest_article_background_color]',
			    'priority'   => 13,
			)
		));


/*--------------------------------------------------------------
## Section: Homepage Featured Articles
--------------------------------------------------------------*/

	$wp_customize->add_setting( 'customization[home_featured_article_customizer_title]',
		array(
			'type' 					=> 'option',
			'sanitize_callback'    	=> 'sanitize_key',
			)
	);

			$wp_customize->add_control( new Minimal_UI_Helper_Title ( $wp_customize, 'home_featured_article_customizer_title', array(
					'type' 			=> 'info',
					'label' 		=> esc_html__('Featured Articles','minimal-magazine'),
					'section' 		=> 'minimal_home_featured_article',
					'settings'    	=> 'customization[home_featured_article_customizer_title]',
					'description'   => esc_html__( 'Displays all of your Sticky articles.', 'minimal-magazine' ),
					'priority'   	=> 10,
			)) );


	//Blog Title
	$wp_customize->add_setting('customization[minimal_featured_article_title]', array(
		'default' => __('Editors Choice', 'minimal-magazine'),
		'type' => 'option',
		'sanitize_callback' => 'minimal_sanitize_input',
		'transport' => 'refresh',
	) );

			$wp_customize->add_control('minimal_featured_article_title',array(
				'type' 		=>'text',
               'label'      => esc_html__( 'Section Title', 'minimal-magazine' ),
               'section'    => 'minimal_home_featured_article',
               'settings'   => 'customization[minimal_featured_article_title]',
               'priority'   => 11,
               'input_attrs' => array(
            		'placeholder' => __( 'example: Featured Articles', 'minimal-magazine' ),
        		)
			));


	// Title Alignment -- Settings
	$wp_customize->add_setting( 'customization[minimal_featured_article_title_position]' ,
		array(
			'default' => 'title-center',
			'type' => 'option',
			'sanitize_callback' => 'esc_attr',
			'transport' => 'postMessage'
		)
	);

		$wp_customize->add_control( 'minimal_featured_article_title_position',array(
				'label'      => esc_html__( 'Title Alignment', 'minimal-magazine' ),
				'section'    => 'minimal_home_featured_article',
				'settings'   => 'customization[minimal_featured_article_title_position]',
			    'priority'   => 12,
			    'type'       => 'radio',
				'choices'    => array(
					'title-left'   => esc_html__( 'Left', 'minimal-magazine' ),
					'title-right'  => esc_html__( 'Right', 'minimal-magazine' ),
					'title-center' => esc_html__( 'Center', 'minimal-magazine' ),
				),
			)
		);


	// Featured Posts layout
	$wp_customize->add_setting( 'customization[home_featured_article_layout_selector]' ,
		array(
			'default' => 1,
			'type' => 'option',
			'sanitize_callback' => 'absint',
			'transport' => 'refresh',
		)
	);

		$wp_customize->add_control( 'home_featured_article_layout_selector',array(
				'label'      => esc_html__( 'Article Layouts', 'minimal-magazine' ),
				'section'    => 'minimal_home_featured_article',
				'settings'   => 'customization[home_featured_article_layout_selector]',
			    'priority'   => 13,
			    'type'       => 'radio',
				'choices'    => array(
					1   => esc_html__( 'Article Slider', 'minimal-magazine' ),
					4   => esc_html__( 'News Paper', 'minimal-magazine' ),
				),
			)
		);


	// Article Box Color
	$wp_customize->add_setting( 'customization[home_featured_article_box_color]' ,
		array(
	    'default' 					=> '#FFFFFF',
	    'type' 						=> 'option',
	    'sanitize_callback' 		=> 'sanitize_hex_color',
	    'transport' 				=> 'postMessage'
		)
	);

		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,'home_featured_article_box_color',
			array(
				'label'      => esc_html__( 'Article Box Color', 'minimal-magazine' ),
				'section'    => 'minimal_home_featured_article',
				'settings'   => 'customization[home_featured_article_box_color]',
			    'priority'   => 14,
			)
		));

	// Latest Article Section background Color
	$wp_customize->add_setting( 'customization[home_featured_article_background_color]' ,
		array(
	    'default' 					=> '#FFFFFF',
	    'type' 						=> 'option',
	    'sanitize_callback' 		=> 'sanitize_hex_color',
	    'transport' 				=> 'postMessage'
		)
	);

		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,'home_featured_article_background_color',
			array(
				'label'      => esc_html__( 'Section Background Color', 'minimal-magazine' ),
				'section'    => 'minimal_home_featured_article',
				'settings'   => 'customization[home_featured_article_background_color]',
			    'priority'   => 15,
			)
		));




/*--------------------------------------------------------------
## Section: Articles by Category
--------------------------------------------------------------*/

	$wp_customize->add_setting( 'customization[home_article_by_category_customizer_title]',
		array(
			'type' 					=> 'option',
			'sanitize_callback'    	=> 'sanitize_key',
			)
	);

			$wp_customize->add_control( new Minimal_UI_Helper_Title ( $wp_customize, 'home_article_by_category_customizer_title', array(
					'type' 			=> 'info',
					'label' 		=> esc_html__('Articles by category','minimal-magazine'),
					'section' 		=> 'minimal_home_article_by_category',
					'settings'    	=> 'customization[home_article_by_category_customizer_title]',
					'description'   => esc_html__( 'Displays all of your articles by categories.', 'minimal-magazine' ),
					'priority'   	=> 10,
			)) );


	//Blog Title
	$wp_customize->add_setting('customization[home_article_by_category_title]', array(
		'default' => __('Our Stories', 'minimal-magazine'),
		'type' => 'option',
		'sanitize_callback' => 'minimal_sanitize_input',
		'transport' => 'postMessage',
	) );

			$wp_customize->add_control('home_article_by_category_title',array(
				'type' 		=>'text',
               'label'      => esc_html__( 'Section Title', 'minimal-magazine' ),
               'section'    => 'minimal_home_article_by_category',
               'settings'   => 'customization[home_article_by_category_title]',
               'priority'   => 11,
               'input_attrs' => array(
            		'placeholder' => __( 'example: Articles by Topic', 'minimal-magazine' ),
        		)
			));

	// Title Alignment -- Settings
	$wp_customize->add_setting( 'customization[home_article_by_category_title_position]' ,
		array(
			'default' => 'title-center',
			'type' => 'option',
			'sanitize_callback' => 'esc_attr',
			'transport' => 'postMessage'
		)
	);

		$wp_customize->add_control( 'home_article_by_category_title_position',array(
				'label'      => esc_html__( 'Title Alignment', 'minimal-magazine' ),
				'section'    => 'minimal_home_article_by_category',
				'settings'   => 'customization[home_article_by_category_title_position]',
			    'priority'   => 12,
			    'type'       => 'radio',
				'choices'    => array(
					'title-left'   => esc_html__( 'Left', 'minimal-magazine' ),
					'title-right'  => esc_html__( 'Right', 'minimal-magazine' ),
					'title-center' => esc_html__( 'Center', 'minimal-magazine' ),
				),
			)
		);


	// Posts layout
	$wp_customize->add_setting( 'customization[home_article_by_category_layout]' ,
		array(
			'default' => 1,
			'type' => 'option',
			'sanitize_callback' => 'absint',
			'transport' => 'refresh',
		)
	);

		$wp_customize->add_control( 'home_article_by_category_layout',array(
				'label'      => esc_html__( 'Article Layouts', 'minimal-magazine' ),
				'section'    => 'minimal_home_article_by_category',
				'settings'   => 'customization[home_article_by_category_layout]',
			    'priority'   => 12,
			    'type'       => 'radio',
				'choices'    => array(
					1   => esc_html__( 'First Article on Top', 'minimal-magazine' ),
					2   => esc_html__( 'First Article on Left', 'minimal-magazine' ),
				),
			)
		);


	// Article Box Color
	$wp_customize->add_setting( 'customization[home_article_by_category_box_color]' ,
		array(
	    'default' 					=> '#FFFFFF',
	    'type' 						=> 'option',
	    'sanitize_callback' 		=> 'sanitize_hex_color',
	    'transport' 				=> 'postMessage'
		)
	);

		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,'home_article_by_category_box_color',
			array(
				'label'      => esc_html__( 'Article Box Color', 'minimal-magazine' ),
				'section'    => 'minimal_home_article_by_category',
				'settings'   => 'customization[home_article_by_category_box_color]',
			    'priority'   => 13,
			)
		));


	// Latest Article Section background Color
	$wp_customize->add_setting( 'customization[home_article_by_category_background_color]' ,
		array(
	    'default' 					=> '#FFFFFF',
	    'type' 						=> 'option',
	    'sanitize_callback' 		=> 'sanitize_hex_color',
	    'transport' 				=> 'postMessage'
		)
	);

		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,'home_article_by_category_background_color',
			array(
				'label'      => esc_html__( 'Section Background Color', 'minimal-magazine' ),
				'section'    => 'minimal_home_article_by_category',
				'settings'   => 'customization[home_article_by_category_background_color]',
			    'priority'   => 14,
			)
		));




/*--------------------------------------------------------------
## Section: Homepage All Articles
--------------------------------------------------------------*/

	$wp_customize->add_setting( 'customization[blog_section_front_content_title_helper]',
		array(
			'type' => 'option',
			'sanitize_callback'    => 'sanitize_key',
			)
	);

			$wp_customize->add_control( new Minimal_UI_Helper_Title ( $wp_customize, 'blog_section_front_content_title_helper', array(
					'type' => 'info',
					'label' => esc_html__('All Articles','minimal-magazine'),
					'section' => 'customizer_section_home_all_article',
					'settings'    => 'customization[blog_section_front_content_title_helper]',
					'description'   => esc_html__( 'Displays all of your articles.', 'minimal-magazine' ),
					'priority'   => 10,
			)) );


	//Blog Title
	$wp_customize->add_setting('customization[minimal_home_blogposts_title]', array(
		'default' => __('Our Stories', 'minimal-magazine'),
		'type' => 'option',
		'sanitize_callback' => 'minimal_sanitize_input',
		'transport' => 'postMessage',
	) );

			$wp_customize->add_control('minimal_home_blogposts_title',array(
				'type' 		=>'text',
               'label'      => esc_html__( 'Articles Section Title', 'minimal-magazine' ),
               'section'    => 'customizer_section_home_all_article',
               'settings'   => 'customization[minimal_home_blogposts_title]',
               'priority'   => 11,
               'input_attrs' => array(
            		'placeholder' => __( 'example: All Articles', 'minimal-magazine' ),
        		)
			));

	// Title Alignment -- Settings
	$wp_customize->add_setting( 'customization[minimal_home_blogposts_title_position]' ,
		array(
			'default' => 'title-center',
			'type' => 'option',
			'sanitize_callback' => 'esc_attr',
			'transport' => 'postMessage'
		)
	);

		$wp_customize->add_control( 'minimal_home_blogposts_title_position',array(
				'label'      => esc_html__( 'Title Alignment', 'minimal-magazine' ),
				'section'    => 'customizer_section_home_all_article',
				'settings'   => 'customization[minimal_home_blogposts_title_position]',
			    'priority'   => 12,
			    'type'       => 'radio',
				'choices'    => array(
					'title-left'   => esc_html__( 'Left', 'minimal-magazine' ),
					'title-right'  => esc_html__( 'Right', 'minimal-magazine' ),
					'title-center' => esc_html__( 'Center', 'minimal-magazine' ),
				),
			)
		);

	// Blog Posts Per Page
	$wp_customize->add_setting( 'customization[blog_front_post_per_page_select]',
		array(
			'default' => 6,
			'type' => 'option',
			'sanitize_callback' => 'absint',
			'transport' => 'refresh'
		)
	);

		$wp_customize->add_control( 'blog_front_post_per_page_select',array(
				'label'      	=> esc_html__( 'Number of Articles to Display', 'minimal-magazine' ),
				'section'    	=> 'customizer_section_home_all_article',
				'settings'   	=> 'customization[blog_front_post_per_page_select]',
			    'priority'   	=> 13,
			    'type'       	=> 'text',
	    		'input_attrs' 	=> array('placeholder' 	=> esc_html__( 'example: 6', 'minimal-magazine' ),),
			)
		);


	// Articles layout
	$wp_customize->add_setting( 'customization[minimal_home_blogposts_layout]' ,
		array(
			'default' => 1,
			'type' => 'option',
			'sanitize_callback' => 'absint',
			'transport' => 'refresh',
		)
	);

		$wp_customize->add_control( 'minimal_home_blogposts_layout',array(
				'label'      => esc_html__( 'Articles Layout', 'minimal-magazine' ),
				'section'    => 'customizer_section_home_all_article',
				'settings'   => 'customization[minimal_home_blogposts_layout]',
			    'priority'   => 31,
			    'type'       => 'radio',
				'choices'    => array(
					1   => esc_html__( 'Stylish Magazine', 'minimal-magazine' ),
					2   => esc_html__( 'News Bulletin', 'minimal-magazine' ),
				),
			)
		);


	// Blog Section background Color
	$wp_customize->add_setting( 'customization[minimal_blogposts_background_color]' ,
		array(
	    'default' => '#f2f2f2',
	    'type' => 'option',
	    'sanitize_callback' => 'sanitize_hex_color',
	    'transport' => 'postMessage'
		)
	);

		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize,'minimal_blogposts_background_color',
			array(
				'label'      => esc_html__( 'Background Color', 'minimal-magazine' ),
				'section'    => 'customizer_section_home_all_article',
				'settings'   => 'customization[minimal_blogposts_background_color]',
			    'priority'   => 41,
			)
		));

	//Blog Section background Image
	$wp_customize->add_setting('customization[minimal_blogposts_background_image]', array(
		'type' => 'option',
		'sanitize_callback' => 'esc_url_raw',
		'transport' => 'refresh',
	) );

			$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,'minimal_blogposts_background_image',array(
               'label'      => esc_html__( 'Background Image', 'minimal-magazine' ),
               'section'    => 'customizer_section_home_all_article',
               'settings'   => 'customization[minimal_blogposts_background_image]',
               'priority'   => 42,
			   )
			));

/*--------------------------------------------------------------
## Section Re-order
--------------------------------------------------------------*/

	$wp_customize->add_setting( 'customization[frontpage_reorder_helper_documentation]',
		array(
			'type' 				=> 'option',
			'sanitize_callback' => 'sanitize_key',
			)
	);

			$wp_customize->add_control( new Minimal_UI_Helper_Title ( $wp_customize, 'frontpage_reorder_helper_documentation', array(
					'type' => 'info',
					'label' => esc_html__('How To Re-order','minimal-magazine'),
					'description' => esc_html__('You will need to have Homepage Control plugin installed to re-order frontpage elements.After installation go to Appearance -> Homepage Control','minimal-magazine'),
					'section' => 'minimal_home_section_reorder',
					'settings'    => 'customization[frontpage_reorder_helper_documentation]',
					'priority'   => 100,
			)) );

}



function minimal_customizer_head_styles() {

	global $defaults;

	$website_width 										= esc_attr($defaults['minimal_website_width']);
	$canvas_width 										= esc_attr($defaults['minimal_canvas_width']);
	$header_width 								= esc_attr($defaults['minimal_header_width']);

	$menu_position         						= esc_attr($defaults['minimal_menu_position']);

	$body_font_size								= esc_attr($defaults['minimal_body_font_size']);
	$menu_font_size								= esc_attr($defaults['minimal_menu_font_size']);



	$logo_text_color 									= get_header_textcolor();
	$body_text_color 									= sanitize_hex_color($defaults['body_text_color']);
	$primary_color								= sanitize_hex_color($defaults['minimal_primary_color']);
	$accent_color								= sanitize_hex_color($defaults['minimal_accent_color']);
	$title_text_color 									= sanitize_hex_color($defaults['title_text_color']);
	$menu_text_color 									= sanitize_hex_color($defaults['menu_text_color']);
	$button_text_color 									= sanitize_hex_color($defaults['button_text_color']);
	$link_text_color 									= sanitize_hex_color($defaults['link_text_color']);
	$link_hover_color 									= sanitize_hex_color($defaults['link_hover_color']);
	$widget_background_color 							= sanitize_hex_color($defaults['widgets_background_color']);
	$header_background_color 							= sanitize_hex_color($defaults['header_background_color']);
	$footer_background_color 							= sanitize_hex_color($defaults['footer_background_color']);
	$button_background_color 							= sanitize_hex_color($defaults['button_background_color']);

	$social_accounts_color 							= sanitize_hex_color($defaults['social_accounts_color']);


	$meta_cat_background_color 							= sanitize_hex_color($defaults['meta_cat_background_color']);
	$border_color 								= sanitize_hex_color($defaults['border_color']);

	$element_title_capitalization						= esc_attr($defaults['minimal_header_title_capitalization']);
	$widget_title_alignment						= esc_attr($defaults['minimal_widget_title_alignment']);
	$title_font_weight								= esc_attr($defaults['minimal_title_weight']);
	$body_font_weight								= esc_attr($defaults['minimal_body_weight']);
	$body_line_height							= esc_attr($defaults['minimal_body_line_height']);


	// CSS Classes
	$primary_color_text 			= ".scrollToTop";
	$primary_color_background 		= ".sharing-list-container,h2.section-title.heading-one:after,.hamburger-inner,.hamburger-inner::before,.hamburger-inner::after,.hamburger__site-title";
	$meta_color_text 		= ".meta,.comments-link a,.post-meta__time,.single.post-meta,.comment-reply-link,.blog-post__meta .post-meta__time,.post-meta__author,.comment-edit-link";
	$meta_color_background 	= ".main-navigation li a:before,.post-meta__tag__item a:before";
	$button_color_background 		= ".comment-form input[type=submit],.button--cta--center,.site-search form input[type=submit],.button--secondary";
	$button_color_text 				= ".button--secondary a,.button--cta--center,.comment-form input[type=submit]";
?>


<style type="text/css">
body,
button,
input,
select,
textarea{
	font-family: 'Poppins', sans-serif;
	font-size:<?php echo esc_attr($body_font_size);?>;
	color:<?php echo esc_attr($body_text_color);?>;
	font-weight:<?php echo esc_attr($body_font_weight);?>;
	line-height:<?php echo esc_attr($body_line_height);?>
}


h1,.heading-one{font-size: <?php echo esc_attr($defaults['body_h1_size']);?>;}
h2,.heading-two{font-size: <?php echo esc_attr($defaults['body_h2_size']);?>;}
h3,.heading-three{font-size: <?php echo esc_attr($defaults['body_h3_size']);?>;}
h4,.heading-four{font-size: <?php echo esc_attr($defaults['body_h4_size']);?>;}
h5,.heading-five{font-size: <?php echo esc_attr($defaults['body_h5_size']);?>;}
h6,.heading-six{font-size: <?php echo esc_attr($defaults['body_h6_size']);?>;}


.site-category-container li a,
.label-container,
.meta-category a{
	color:<?php echo esc_attr($meta_cat_background_color);?>;
}

.category-box-container,
.category-two .supporting-article,
.border-color,
.swiper-slide,
.highlight-article-top-boxed,
.split-content-core,
.article-single-two .single-article-header,
.article-author-box,
.single-post__body,
.category-boxed .website__canvas{
	border-color:<?php echo esc_attr($border_color);?>;
}


.minimal-social-link a span{
	color:<?php echo esc_attr($social_accounts_color);?>;
}

h1,.heading-one,
h2,.heading-two,
h3,.heading-three,
h4,.heading-four,
h5,.heading-five,
h6,.heading-six{
	font-weight:<?php echo esc_attr($title_font_weight);?>;
	color: <?php echo esc_attr($title_text_color);?>;
	text-transform: <?php echo esc_attr($element_title_capitalization); ?>;
}

.widget-title{text-align:<?php echo esc_attr($widget_title_alignment); ?>;}


.website-width{width:<?php echo esc_attr($website_width);?>%;}
.website__canvas,.website__canvas--alt{max-width:<?php echo esc_attr($canvas_width);?>;}
.header-inner{max-width:<?php echo esc_attr($header_width);?>;}

/* Color */

<?php echo esc_attr($primary_color_text);?>{color: <?php echo esc_attr($primary_color); ?>;}
<?php echo esc_attr($primary_color_background);?>{background-color: <?php echo esc_attr($primary_color); ?>;}
<?php echo esc_attr($meta_color_text);?>{color: <?php echo esc_attr($accent_color); ?>;}
<?php echo esc_attr($meta_color_background);?>{background-color: <?php echo esc_attr($accent_color);?>;}

.current-menu-item a,.main-navigation .nav-menu a:hover{border-color:<?php echo esc_attr($primary_color); ?> !important;}

a{color: <?php echo esc_attr($link_text_color); ?>;}
a:hover,a:focus,a:active{color: <?php echo esc_attr($link_hover_color); ?>;}
.site-header{background-color: <?php echo esc_attr($header_background_color); ?>;}
.site-footer{background-color: <?php echo esc_attr($footer_background_color); ?>;}

#secondary .widget{background-color: <?php echo esc_attr($widget_background_color); ?>;}
.main-navigation a,.main-navigation ul ul a{color: <?php echo esc_attr($menu_text_color); ?>;}
.site-title a{color: #<?php echo esc_attr($logo_text_color); ?>;}
<?php echo esc_attr($button_color_background);?>{background-color: <?php echo esc_attr($button_background_color); ?>;}
<?php echo esc_attr($button_color_text);?>{color: <?php echo esc_attr($button_text_color); ?>;}

/* Position */
.nav-menu {text-align: <?php echo esc_attr($menu_position); ?>;}



.main-navigation a,.page-numbers a,.page-numbers span,#footer-nav a{font-size:<?php echo esc_attr($menu_font_size);?>;}



</style>
<?php }




/**
* Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
*/


function minimal_customize_preview_js() {
	wp_enqueue_script( 'minimal_customizer', get_theme_file_uri( '/inc/js/customizer.js' ), array( 'customize-preview' ), '20170221', true );
}



function minimal_customizer_style() {
	wp_enqueue_style('CustomizerUI', get_theme_file_uri( '/inc/css/customizer-ui.css'));
}
