<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package minimal-magazine
 */
global $defaults;
get_header();

do_action('minimal_before_main_content'); ?>

<div id="main" class="site-main">
<?php do_action( 'minimal_before_page_content' );?>
<?php while ( have_posts() ) : the_post(); ?>

<!-- Page header -->
<header class="col-md-12 page__header entry-header">
	<div class="single page-meta">
	<?php
		the_title( '<h1 class="entry-title heading-one">', '</h1>' );
	?>
	<?php the_excerpt();?>
	</div>

</header>

<div class="col-md-12">
<div class="website__canvas">
<div class="row">
	<?php get_sidebar('left'); ?>

	<main id="primary" role="main" class="content-area single-page__content <?php minimal_determine_single_content_width(); ?>">
		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="container--card-content">
			<div class="entry-content">
				<?php the_content(); ?>
				<?php
					wp_link_pages( array(
						'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'minimal-magazine' ),
						'after'  => '</div>',
					) );
				?>
			</div>
		</div>
		</div>
		<?php
		if($defaults['minimal_show_site_comments'] == true) :
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;
		endif;
		?>
	</main>

	<?php get_sidebar();?>
	<?php endwhile; ?>
</div>
</div>
</div>
</div>

<?php
do_action('minimal_after_main_content');
get_footer();