<?php
/**
 * Template part for displaying single posts.
 *
 * @package minimal-magazine
 */
global $defaults;
$show_post_cat 			= $defaults['minimal_show_post_category'];
$show_author_name 		= $defaults['minimal_show_post_author_name'];
$show_post_tag 			= $defaults['minimal_show_post_tags'];
$show_author_box 		= $defaults['minimal_show_post_author_box'];
$show_post_navigation 	= $defaults['minimal_show_post_meta_navigation'];
$show_comments 			= $defaults['minimal_show_site_comments'];
?>
<article id="post-<?php the_ID(); ?>" <?php post_class();?>>

	<header class="entry-header single-article-header">
		<?php if( $show_post_cat == true):?>
		        <?php minimal_category(); ?>
		<?php endif;?>

		<?php the_title( '<h1 class="entry-title heading-one">', '</h1>' ); ?>
		<div class="article-summary heading-three"><?php the_excerpt();?></div>

		<?php if( $show_author_name == true): ?>
				<span class="meta"><?php minimal_post_author();?> - <?php minimal_published_on();?></span>
		<?php endif; ?>
	</header>

	<?php minimal_single_post_thumbnail();?>
	<div class="entry-content s-article__body--two">
		<?php the_content(); ?>
	</div>

	<?php
		if( $show_post_tag == true):
		    minimal_post_tag();
		endif;
	?>

	<?php
		if( $show_author_box == true):
		    minimal_get_single_article_author_box();
		endif;
	?>

</article>

		<div class="single-article-additional">
			<div class="website__canvas">

				<?php
					if( $show_post_navigation == true):
				        minimal_the_post_navigation();
					endif;
				?>

				<?php
					wp_link_pages( array(
						'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'minimal-magazine' ),
						'after'  => '</div>',
					) );
				?>

			</div>
		</div>

		<?php if( $show_comments == true):?>
			<div class="single-article-comment">
				<div class="website__canvas">
				<?php
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;
				?>
				</div>
			</div>
		<?php endif;?>